package com.unis.auth.modular.login.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author hjc
 * @version 1.0
 * @Description
 * @date 2024/6/12 15:08
 */
@Data
public class IpadLoginParam {
    /**
     * 密码
     */
    @ApiModelProperty(value = "用户名", position = 7)
    @NotBlank(message = "用户名不能为空")
    private String account;

    /**
     * 密码
     */
    @ApiModelProperty(value = "密码", position = 10)
    @NotBlank(message = "密码不能为空")
    private String password;
}
