package com.unis.auth.modular.login.param;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import java.util.Date;

/**
 * @author hujiangchun
 * @version 1.0
 * @Title
 * @ProjectName
 * @Description
 * @date 2024/4/10 15:04
 */
@Getter
@Setter
public class UserCollectPasswordLoginParam {

    /**
     * 密码
     */
    @ApiModelProperty(value = "密码", position = 10)
    @NotBlank(message = "密码不能为空")
    private String password;

    /**
     * 手机号
     */
    @ApiModelProperty(value = "手机号", position = 8)
    @NotBlank(message = "手机号不能为空")
    private String phone;


}
