package com.unis.basic.info.modular.pricemonitor.vo;
import com.unis.common.geo.GeoPoint;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author hujiangchun
 * @version 1.0
 * @Title
 * @ProjectName
 * @Description
 * @date 2024/4/17 16:48
 */
@Data
public class PriceMonitorVO{

    /** 监测点名称 */
    @ApiModelProperty(value = "监测点名称", position = 7)
    private String name;
    /** 详细位置 */
    @ApiModelProperty(value = "详细位置", position = 9)
    private String address;
    //所属行政部门名称
    private String orgName;

    /**
     * 定位位置
     *
     * @author: ybw
     * @date: 2024/4/9
     **/
    private GeoPoint geoPoint;

    private String id;

    /** 定位开关 */
    @ApiModelProperty(value = "定位开关", position = 10)
    private  Integer locationSwitch;

    /** 所属市州；sys_org的id； */
    @ApiModelProperty(value = "所属市州；sys_org的id；", position = 8)
    private String sysOrgId;
}
