package com.unis.basic.info.modular.unitInfo.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.unis.basic.info.modular.unitInfo.entity.BasicEnum;
import com.unis.basic.info.modular.unitInfo.entity.BasicEnumExample;
import com.unis.basic.info.modular.unitInfo.entity.UnitInfo;
import com.unis.common.constant.DBConstant;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

/**
 * @param
 * @author hujianchun
 * @Description
 */
@DS(DBConstant.DS_PROVINCE)
@Mapper
public interface EnumMapper extends BaseMapper<BasicEnum> {

    List<Map<String,String>> getAreaByParentId(@Param("parentId") String parentId);
}
