package com.unis.emergencySupport.modular.es.entity.vo;

import com.unis.emergencySupport.modular.es.entity.EsNetworkEntry;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
@Getter
@Setter
public class EsNetworkEntryVO extends EsNetworkEntry {

    /**
     * 申请id type=1，biz_al_policy_file的id；
     */
    @ApiModelProperty(value = "申请id type=1，biz_al_policy_file的id；", position = 9)
    private String requestId;

    /**
     * 状态 0：待审核；1：已审核；2：驳回；
     */
    @ApiModelProperty(value = "状态 0：待审核；1：已审核；2：驳回；", position = 10)
    private Integer auditStatus;

    /**
     * 审核意见；
     */
    @ApiModelProperty(value = "审核意见；", position = 11)
    private String auditAdvice;


    /**
     * 业务类型 1：政策规范性文件申报；
     */
    @ApiModelProperty(value = "业务类型 1：政策规范性文件申报；", position = 7)
    private Integer type;

    /**
     * 步骤 type=1，1：合法性审核；2：过会审核；
     */
    @ApiModelProperty(value = "步骤 type=1，1：合法性审核；2：过会审核；", position = 8)
    private Integer step;

    /**
     * 审核人；sys_user的id；
     */
    @ApiModelProperty(value = "审核人；sys_user的id；", position = 12)
    private String auditUserId;

    /**
     * 审核时间
     */
    @ApiModelProperty(value = "审核时间", position = 13)
    private Date auditTime;

    /**
     * 附件；多个附件，‘,’分割;
     */
    @ApiModelProperty(value = "附件；多个附件，‘,’分割;", position = 14)
    private String attachment;



}
