package com.unis.emergencySupport.modular.es.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class EsProcessEnterpriseCountParam {

    /** 企业名称 */
    @ApiModelProperty(value = "企业名称", position = 6)
    private String enterpriseName;


    /** 归口管理地区-省 */
    @ApiModelProperty(value = "归口管理地区-省", position = 22)
    private String managementAreaProvince;

    /** 归口管理地区-市 */
    @ApiModelProperty(value = "归口管理地区-市", position = 23)
    private String managementAreaCity;

    /** 归口管理地区-县 */
    @ApiModelProperty(value = "归口管理地区-县", position = 24)
    private String managementAreaCounty;
}
