package com.unis.equipmentOnlineRateAssessment.modular.hk.dto.req;

import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * @author ybw
 * @version V1.0
 * @className PageDTO
 * @date 2024/6/18
 **/
@Data
@AllArgsConstructor
public class PageReqDTO {
    /**
     * 当前页码
     * 范围 ( 0 , ~ )，最大为整数最大值，若是范围内数字超过实际最大页码值，返回最后一页记录
     * 注：0 < pageNo
     *
     * @author: ybw
     * @date: 2024/6/18
     **/
    private Integer pageNo;
    /**
     * 分页大小
     * 范围 ( 0 , 1000 ]
     * 注：0 < pageSize≤1000
     *
     * @author: ybw
     * @date: 2024/6/18
     **/
    private Integer pageSize;
}
