package com.unis.equipmentOnlineRateAssessment.modular.hk.dto.req;

import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * 录像结束
 *
 * @author ybw
 * @version V1.0
 * @className RecordStartReqDTO
 * @date 2024/6/20
 **/
@Data
@AllArgsConstructor
public class RecordStopReqDTO {

    /**
     * 监控点唯一标识，通过[分页获取监控点资源]接口获取返回的cameraIndexCode参数
     */
    private String cameraIndexCode;

    /**
     * 手动录像编号，从开始手动录像接口获取返回参数taskID
     */
    private String taskID;

    /**
     * 存储类型，0-中心存储，1-设备存储，默认为0-中心存储，如果不指定则默认采用中心存储方式
     */
    private Integer type;
}

