package com.unis.equipmentOnlineRateAssessment.modular.hk.dto.res;


/**
 * @author ybw
 * @version V1.0
 * @className CameraResDTO
 * @date 2024/6/19
 **/

import lombok.Data;

/**
 * 摄像头信息
 *
 * @author ybw
 * @version V1.0
 * @className CameraResDTO
 * @date 2024/6/19
 **/
@Data
public class CameraResDTO {
    private String altitude; // 海拔
    private String cameraIndexCode; // 监控点唯一标识
    private String cameraName; // 监控点名称
    private Integer cameraType; // 监控点类型
    private String cameraTypeName; // 监控点类型说明
    private String capabilitySet; // 能力集
    private String capabilitySetName; // 能力集说明
    private String intelligentSet; // 智能分析能力集
    private String intelligentSetName; // 智能分析能力集说明
    private String channelNo; // 通道编号
    private String channelType; // 通道类型
    private String channelTypeName; // 通道子类型说明
    private String createTime; // 创建时间
    private String encodeDevIndexCode; // 所属编码设备唯一标识
    private String encodeDevResourceType; // 所属设备类型
    private String encodeDevResourceTypeName; // 所属设备类型说明
    private String gbIndexCode; // 监控点国标编号
    private String installLocation; // 安装位置
    private String keyBoardCode; // 键盘控制码
    private String latitude; // 纬度
    private String longitude; // 经度
    private String pixel; // 摄像机像素（编码说明）
    private String ptz; // 云镜类型（编码说明）
    private String ptzName; // 云镜类型说明
    private String ptzController; // 云台控制（编码说明）
    private String ptzControllerName; // 云台控制说明
    private String recordLocation; // 录像存储位置
    private String recordLocationName; // 录像存储位置说明
    private String regionIndexCode; // 所属区域唯一标识
    private String status; // 在线状态（编码说明）
    private String statusName; // 状态说明
    private Integer transType; // 传输协议（0-UDP，1-TCP）
    private String transTypeName; // 传输协议类型说明
    private String treatyType; // 接入协议
    private String treatyTypeName; // 接入协议类型说明
    private String viewshed; // 可视域相关（JSON格式）
    private String updateTime; // 更新时间
}
