package com.unis.equipmentOnlineRateAssessment.modular.monitorCamera.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.web.bind.annotation.ModelAttribute;

import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.math.BigDecimal;

/**
 * @author hjc
 * @date 2024/6/24 17:07
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class AutomatedAssessmentsExportParam {

    /** 文件名 */
    @ApiModelProperty(value = "文件名", position = 1)
    private String fileName;

    /** 摄像头总数量 */
    @ApiModelProperty(value = "摄像头总数量", position = 1)
    private Integer cameraAllNum;

    /** 摄像头在线数量 */
    @ApiModelProperty(value = "摄像头在线数量", position = 2)
    private Integer cameraOnlineNum;

    /** 摄像头离线数量 */
    @ApiModelProperty(value = "摄像头离线数量", position = 3)
    private Integer cameraOfflineNum;

    /** 摄像头在线率 */
    @ApiModelProperty(value = "摄像头在线率(%)", position = 4)
    private BigDecimal cameraOnlineRate;

    /** 摄像头在线率 */
    @ApiModelProperty(value = "摄像头离线率(%)", position = 5)
    private BigDecimal cameraOfflineRate;

    /** NVR总数量 */
    @ApiModelProperty(value = "NVR总数量", position = 6)
    private Integer nvrAllNum;


}
