package com.unis.equipmentOnlineRateAssessment.modular.monitorCamera.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author hjc
 * @version 1.0
 * @Description
 * @date 2024/6/21 15:09
 */
@Data
@ContentRowHeight(20) // 文本行高度
@HeadRowHeight(15) // 标题高度
@ColumnWidth(20) // 默认列宽度
public class StatisticalAnalysisVO {

    @ExcelProperty("库区名称")
    @ColumnWidth(40)
    private String orgName;

    @ExcelProperty("所属市州")
    private String zcdzCityName;

    @ExcelProperty("NVR数量")
    private Integer nvrNum;

    @ExcelProperty("摄像头数量")
    private Integer cameraNum;

    @ExcelProperty("摄像头异常数量")
    private Integer cameraAbnormalNum;
}
