package com.unis.financialSupervision.modular.fsEnterpriseBalanceStatistic.task;

import com.unis.common.timer.CommonTimerTaskRunner;
import com.unis.financialSupervision.modular.fsEnterpriseBalanceStatistic.service.FsEnterpriseBalanceStatisticService;
import com.unis.purchaseAndSalesSupervision.modular.bizPssStorageAnomaly.service.BizPssStorageAnomalyService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 *● 财务监管-企业收支结余统计表
 *     ○ 频率：一天执行一次。
 *     ○ 功能：统计当月储备规模，无储备规模数据则不进行统计
 *
 * @author TS
 * @date 2024/6/26 11:52
 **/
@Slf4j
@Component
public class FsEnterpriseBalanceStatisticTaskRunner implements CommonTimerTaskRunner {

    @Autowired
    private FsEnterpriseBalanceStatisticService fsEnterpriseBalanceStatisticService;

    @Override
    public void action() {
        fsEnterpriseBalanceStatisticService.taskAction();
    }
}
