package com.unis.finishedGrainSupervision.modular.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 *
 *设备信息分页
 * @author TS
 * @date  2024/06/05 15:48
 **/
@Getter
@Setter
public class DevInputPageVO {

    @ApiModelProperty(value = "设备Id", position = 1)
    private Integer id;

    @ApiModelProperty(value = "粮库名称", position = 2)
    private String orgName;

    @ApiModelProperty(value = "设备名称", position = 8)
    private String deviceName;

    @ApiModelProperty(value = "设备类型", position = 8)
    private String deviceTypeName;

    @ApiModelProperty(value = "规格型号", position = 9)
    private String model;

    @ApiModelProperty(value = "资产编号", position = 9)
    private String number;

    @ApiModelProperty(value = "入库数量", position = 17)
    private Integer useCount;
}
