package com.unis.finishedGrainSupervision.modular.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 *
 *成品粮库区信息分页
 * @author TS
 * @date  2024/06/05 15:48
 **/
@Getter
@Setter
public class OrgInfoPageVO {

    @ApiModelProperty(value = "orgId", position = 1)
    private String orgId;

    /** 单位名称 */
    @ApiModelProperty(value = "所属企业", position = 9)
    private String dwmc;

    /** 法定代表人 */
    @ApiModelProperty(value = "粮库名称", position = 14)
    private String orgName;


    /** 库点类别 */
    @ApiModelProperty(value = "库点类别", position = 19)
    private Integer depotClass;

    /** 库点类别名称 */
    @ApiModelProperty(value = "库点类别名称", position = 19)
    private Integer depotClassName;

    /** 设计仓容 */
    @ApiModelProperty(value = "设计仓容", position = 20)
    private BigDecimal designCapacity;
}
