package com.unis.finishedGrainSupervision.modular.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Setter
@Getter
public class DateCrkywCplcrkCountPageParam {

    /** 当前页 */
    @ApiModelProperty(value = "当前页码")
    private Integer current;

    /** 每页条数 */
    @ApiModelProperty(value = "每页条数")
    private Integer size;

    @ApiModelProperty(value = "所在地区")
    private String area;


    @ApiModelProperty(value = "库区名称")
    private String orgName;

    @ApiModelProperty(value = "粮食品种")
    private String grainVarietyName;

    @ApiModelProperty(value = "粮食性质")
    private String grainNatureName;

    @ApiModelProperty(value = "粮食等级")
    private String grainGradeName;

    @ApiModelProperty(value = "开始时间")
    private Date startDate;

    @ApiModelProperty(value = "结束时间")
    private Date endDate;


}
