package com.unis.grainReserves.modular.businessGslrLossCollect.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author hjc
 * @version 1.0
 * @Description
 * @date 2024/5/18 14:41
 */
@Data
public class AlarmLineChartParam {

    /** 库区名称 */
    @ApiModelProperty(value = "库区名称", position = 3)
    private String orgName;

    /** 仓房名称 */
    @ApiModelProperty(value = "仓房名称", position = 4)
    private String storehouseName;

    /** 货位名称 */
    @ApiModelProperty(value = "货位名称", position = 5)
    private String warehouseName;

    /** 业务日期 */
    @ApiModelProperty(value = "业务日期-开始时间", position = 6)
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date startTime;

    /** 业务日期 */
    @ApiModelProperty(value = "业务日期-结束时间", position = 7)
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date endTime;


}
