package com.unis.grainReserves.modular.businessGslrLossCollect.vo;

import com.unis.grainReserves.modular.businessGslrLossCollect.entity.BusinessGslrLossCollect;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author hjc
 * @version 1.0
 * @Description
 * @date 2024/5/17 16:01
 */
@Data
public class BusinessGslrLossCollectVO extends BusinessGslrLossCollect {


    /** 库区名称 */
    @ApiModelProperty(value = "库区名称", position = 3)
    private String orgName;

    /** 粮食品种名称 */
    @ApiModelProperty(value = "粮食品种名称")
    private String grainVarietyName;

    /** 粮食性质名称 */
    @ApiModelProperty(value = "粮食性质名称")
    private String grainNatureName;

    /** 仓房名称 */
    @ApiModelProperty(value = "仓房名称", position = 3)
    private String storehouseName;

    /** 货位名称 */
    @ApiModelProperty(value = "货位名称", position = 5)
    private String warehouseName;

    /** 粮食等级 */
    @ApiModelProperty(value = "粮食等级", position = 7)
    private String grainGradeName;


}
