package com.unis.grainReserves.modular.gopsPlan.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-05-21 20:44
 */
@Data
public class GopsPlanDetail {

    @ApiModelProperty(value = "接收库区id；外库depot_qh.org_info的id；", position = 1)
    @NotNull(message = "接收库区id不能为空")
    private Integer orgId;

    @ApiModelProperty(value = "外库depot_qh.asic_storehouse的id；仓房id", position = 2)
    @NotNull(message = "仓房id不能为空")
    private Integer basicStorehouseId;

    @ApiModelProperty(value = "外库depot_qh.basic_warehouse的id；货位id;", position = 3)
    @NotNull(message = "货位id不能为空")
    private Integer warehouseId;
}
