/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 *//*

package com.unis.grainReserves.modular.gopsPlanBuy.controller;

import cn.dev33.satoken.annotation.SaCheckPermission;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;
import com.unis.common.annotation.CommonLog;
import com.unis.common.pojo.CommonResult;
import com.unis.common.pojo.CommonValidList;
import com.unis.grainReserves.modular.gopsPlanBuy.entity.GopsPlanBuy;
import com.unis.grainReserves.modular.gopsPlanBuy.param.GopsPlanBuyAddParam;
import com.unis.grainReserves.modular.gopsPlanBuy.param.GopsPlanBuyEditParam;
import com.unis.grainReserves.modular.gopsPlanBuy.param.GopsPlanBuyIdParam;
import com.unis.grainReserves.modular.gopsPlanBuy.param.GopsPlanBuyPageParam;
import com.unis.grainReserves.modular.gopsPlanBuy.service.GopsPlanBuyService;

import javax.annotation.Resource;
import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;

*/
/**
 * 购销计划-销售控制器
 *
 * @author QSHan
 * @date  2024/05/21 15:48
 *//*

@Api(tags = "购销计划-销售控制器")
@ApiSupport(author = "UNIS_TEAM", order = 1)
@RestController
@Validated
public class GopsPlanBuyController {

    @Resource
    private GopsPlanBuyService gopsPlanBuyService;

    */
/**
     * 获取购销计划-销售分页
     *
     * @author QSHan
     * @date  2024/05/21 15:48
     *//*

    @ApiOperationSupport(order = 1)
    @ApiOperation("获取购销计划-销售分页")
    @SaCheckPermission("/grainReserves/gopsPlanBuy/page")
    @GetMapping("/grainReserves/gopsPlanBuy/page")
    public CommonResult<Page<GopsPlanBuy>> page(GopsPlanBuyPageParam gopsPlanBuyPageParam) {
        return CommonResult.data(gopsPlanBuyService.page(gopsPlanBuyPageParam));
    }

    */
/**
     * 添加购销计划-销售
     *
     * @author QSHan
     * @date  2024/05/21 15:48
     *//*

    @ApiOperationSupport(order = 2)
    @ApiOperation("添加购销计划-销售")
    @CommonLog("添加购销计划-销售")
    @SaCheckPermission("/grainReserves/gopsPlanBuy/add")
    @PostMapping("/grainReserves/gopsPlanBuy/add")
    public CommonResult<String> add(@RequestBody @Valid GopsPlanBuyAddParam gopsPlanBuyAddParam) {
        gopsPlanBuyService.add(gopsPlanBuyAddParam);
        return CommonResult.ok();
    }

    */
/**
     * 编辑购销计划-销售
     *
     * @author QSHan
     * @date  2024/05/21 15:48
     *//*

    @ApiOperationSupport(order = 3)
    @ApiOperation("编辑购销计划-销售")
    @CommonLog("编辑购销计划-销售")
    @SaCheckPermission("/grainReserves/gopsPlanBuy/edit")
    @PostMapping("/grainReserves/gopsPlanBuy/edit")
    public CommonResult<String> edit(@RequestBody @Valid GopsPlanBuyEditParam gopsPlanBuyEditParam) {
        gopsPlanBuyService.edit(gopsPlanBuyEditParam);
        return CommonResult.ok();
    }

    */
/**
     * 删除购销计划-销售
     *
     * @author QSHan
     * @date  2024/05/21 15:48
     *//*

    @ApiOperationSupport(order = 4)
    @ApiOperation("删除购销计划-销售")
    @CommonLog("删除购销计划-销售")
    @SaCheckPermission("/grainReserves/gopsPlanBuy/delete")
    @PostMapping("/grainReserves/gopsPlanBuy/delete")
    public CommonResult<String> delete(@RequestBody @Valid @NotEmpty(message = "集合不能为空")
                                                   CommonValidList<GopsPlanBuyIdParam> gopsPlanBuyIdParamList) {
        gopsPlanBuyService.delete(gopsPlanBuyIdParamList);
        return CommonResult.ok();
    }

    */
/**
     * 获取购销计划-销售详情
     *
     * @author QSHan
     * @date  2024/05/21 15:48
     *//*

    @ApiOperationSupport(order = 5)
    @ApiOperation("获取购销计划-销售详情")
    @SaCheckPermission("/grainReserves/gopsPlanBuy/detail")
    @GetMapping("/grainReserves/gopsPlanBuy/detail")
    public CommonResult<GopsPlanBuy> detail(@Valid GopsPlanBuyIdParam gopsPlanBuyIdParam) {
        return CommonResult.data(gopsPlanBuyService.detail(gopsPlanBuyIdParam));
    }
}
*/
