/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 *//*

package com.unis.grainReserves.modular.gopsPlanSale.controller;

import cn.dev33.satoken.annotation.SaCheckPermission;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;
import com.unis.common.annotation.CommonLog;
import com.unis.common.pojo.CommonResult;
import com.unis.common.pojo.CommonValidList;
import com.unis.grainReserves.modular.gopsPlanSale.entity.GopsPlanSale;
import com.unis.grainReserves.modular.gopsPlanSale.param.GopsPlanSaleAddParam;
import com.unis.grainReserves.modular.gopsPlanSale.param.GopsPlanSaleEditParam;
import com.unis.grainReserves.modular.gopsPlanSale.param.GopsPlanSaleIdParam;
import com.unis.grainReserves.modular.gopsPlanSale.param.GopsPlanSalePageParam;
import com.unis.grainReserves.modular.gopsPlanSale.service.GopsPlanSaleService;

import javax.annotation.Resource;
import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;

*/
/**
 * 购销计划-销售控制器
 *
 * @author QSHan
 * @date  2024/05/18 17:31
 *//*

@Api(tags = "购销计划-销售控制器")
@ApiSupport(author = "UNIS_TEAM", order = 1)
@RestController
@Validated
public class GopsPlanSaleController {

    @Resource
    private GopsPlanSaleService gopsPlanSaleService;

    */
/**
     * 获取购销计划-销售分页
     *
     * @author QSHan
     * @date  2024/05/18 17:31
     *//*

    @ApiOperationSupport(order = 1)
    @ApiOperation("获取购销计划-销售分页")
    @SaCheckPermission("/grainReserves/gopsPlanSale/page")
    @GetMapping("/grainReserves/gopsPlanSale/page")
    public CommonResult<Page<GopsPlanSale>> page(GopsPlanSalePageParam gopsPlanSalePageParam) {
        return CommonResult.data(gopsPlanSaleService.page(gopsPlanSalePageParam));
    }

    */
/**
     * 添加购销计划-销售
     *
     * @author QSHan
     * @date  2024/05/18 17:31
     *//*

    @ApiOperationSupport(order = 2)
    @ApiOperation("添加购销计划-销售")
    @CommonLog("添加购销计划-销售")
    @SaCheckPermission("/grainReserves/gopsPlanSale/add")
    @PostMapping("/grainReserves/gopsPlanSale/add")
    public CommonResult<String> add(@RequestBody @Valid GopsPlanSaleAddParam gopsPlanSaleAddParam) {
        gopsPlanSaleService.add(gopsPlanSaleAddParam);
        return CommonResult.ok();
    }

    */
/**
     * 编辑购销计划-销售
     *
     * @author QSHan
     * @date  2024/05/18 17:31
     *//*

    @ApiOperationSupport(order = 3)
    @ApiOperation("编辑购销计划-销售")
    @CommonLog("编辑购销计划-销售")
    @SaCheckPermission("/grainReserves/gopsPlanSale/edit")
    @PostMapping("/grainReserves/gopsPlanSale/edit")
    public CommonResult<String> edit(@RequestBody @Valid GopsPlanSaleEditParam gopsPlanSaleEditParam) {
        gopsPlanSaleService.edit(gopsPlanSaleEditParam);
        return CommonResult.ok();
    }

    */
/**
     * 删除购销计划-销售
     *
     * @author QSHan
     * @date  2024/05/18 17:31
     *//*

    @ApiOperationSupport(order = 4)
    @ApiOperation("删除购销计划-销售")
    @CommonLog("删除购销计划-销售")
    @SaCheckPermission("/grainReserves/gopsPlanSale/delete")
    @PostMapping("/grainReserves/gopsPlanSale/delete")
    public CommonResult<String> delete(@RequestBody @Valid @NotEmpty(message = "集合不能为空")
                                                   CommonValidList<GopsPlanSaleIdParam> gopsPlanSaleIdParamList) {
        gopsPlanSaleService.delete(gopsPlanSaleIdParamList);
        return CommonResult.ok();
    }

    */
/**
     * 获取购销计划-销售详情
     *
     * @author QSHan
     * @date  2024/05/18 17:31
     *//*

    @ApiOperationSupport(order = 5)
    @ApiOperation("获取购销计划-销售详情")
    @SaCheckPermission("/grainReserves/gopsPlanSale/detail")
    @GetMapping("/grainReserves/gopsPlanSale/detail")
    public CommonResult<GopsPlanSale> detail(@Valid GopsPlanSaleIdParam gopsPlanSaleIdParam) {
        return CommonResult.data(gopsPlanSaleService.detail(gopsPlanSaleIdParam));
    }
}
*/
