package com.unis.grainReserves.modular.reserveQuantity.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-05-15 11:24
 */
@Getter
@Setter
public class ReserveQuantityKQPageParam {

    /** 当前页 */
    @ApiModelProperty(value = "当前页码")
    private Integer current;

    /** 每页条数 */
    @ApiModelProperty(value = "每页条数")
    private Integer size;

    @ApiModelProperty(value = "库区编码(跳转条件)")
    private String unitId;

    @ApiModelProperty(value = "仓房名称(查询条件)")
    private String lkmc;

    @ApiModelProperty(value = "品种(查询条件)")
    private String pzName;

    @ApiModelProperty(value = "性质(查询条件)")
    private String hwxzName;

    @ApiModelProperty(value = "等级(查询条件)")
    private String djName;

}
