package com.unis.intelligentManagement.modular.tLqData.param;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-05-13 20:50
 */
@Data
public class TStationSelect implements Serializable {
    private static final long serialVersionUID = -4929700015707440455L;

    @ApiModelProperty(value = "仓房国标编码(001,002)")
    private String storehouseCode;

    @ApiModelProperty(value = "0：粮情；1：油情；2：水分")
    private String ilqYq;

    @ApiModelProperty(value = "机构编码")
    private String orgId;

}
