package com.unis.mobileInfo.modular.gsqCarQueue.param;

import com.unis.mobileInfo.modular.gsqReservationRegister.entity.GsqReservationRegister;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.List;

/**
 * @author qingsong.han
 * @description: 车辆动态监测,远程调度 返回实体
 * @create 2024-04-29 14:47
 */
@Getter
@Setter
public class GsqCarQueueParams implements Serializable {
    private static final long serialVersionUID = 4368844205391247398L;

    @ApiModelProperty(value = "排队车辆", position = 17)
    private Integer carCount;

    @ApiModelProperty(value = "数据对象", position = 18)
    private List<GsqReservationRegister> listParam;

}
