package com.unis.policy.info.modular.auditRequest.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author hjc
 * @version 1.0
 * @Description
 * @date 2024/5/5 22:13
 */
@Data
public class UnitInfoVO {


    /**
     * 单位名称
     */
    private String dwmc;


    /**
     * 单位代码，18位统一社会信用代码
     */
    private String dwdm;

    /**
     * 注册地址
     */
    private String zcdz;

    /**
     * 法定代表人
     */
    private String fddbr;

    /**
     * 单位类型，引用LS/T 1701-2004的表A.1
     */
    private String dwlx;


    //补发时间
    private Date reissueTime;

    /**
     * 附件
     */
    private String attachment;

    /**
     * 审批意见
     */
    private String auditAdvice;

}
