package com.unis.policy.info.modular.mlpAdviceCollectFeedback.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author hujiangchun
 * @version 1.0
 * @Title
 * @ProjectName
 * @Description
 * @date 2024/4/19 18:05
 */
@Data
public class MlpAdviceCollectOrgFeedbackVO {

    /** 规划名称 */
    @ApiModelProperty(value = "规划名称", position = 7)
    private String planName;

    /** 意见收集截止时间 */
    @ApiModelProperty(value = "意见收集截止时间", position = 9)
    @JsonFormat(pattern = "yyyy-MM-dd",timezone="GMT+8")
    private Date collectionDeadline;

    /** 规划正文 */
    @ApiModelProperty(value = "规划正文", position = 10)
    private String planContent;

    /** 附件名称 */
    @ApiModelProperty(value = "附件名称", position = 10)
    private String AdviceAttachment;

    /**
     * 意见反馈id
     */
    @ApiModelProperty(value = "意见收集id", position = 9)
    private String id;

    /**
     * 意见反馈id
     */
    @ApiModelProperty(value = "填写意见", position = 9)
    private String adviceContent;


    /**
     * 意见反馈id
     */
    @ApiModelProperty(value = "反馈附件", position = 9)
    private String attachment;


}
