/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 *//*

package com.unis.policy.info.modular.mlpFirstDraftCollectOrg.controller;

import cn.dev33.satoken.annotation.SaCheckPermission;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;
import com.unis.common.annotation.CommonLog;
import com.unis.common.pojo.CommonResult;
import com.unis.common.pojo.CommonValidList;
import com.unis.policy.info.modular.mlpFirstDraftCollectOrg.entity.MlpFirstDraftCollectOrg;
import com.unis.policy.info.modular.mlpFirstDraftCollectOrg.param.MlpFirstDraftCollectOrgAddParam;
import com.unis.policy.info.modular.mlpFirstDraftCollectOrg.param.MlpFirstDraftCollectOrgEditParam;
import com.unis.policy.info.modular.mlpFirstDraftCollectOrg.param.MlpFirstDraftCollectOrgIdParam;
import com.unis.policy.info.modular.mlpFirstDraftCollectOrg.param.MlpFirstDraftCollectOrgPageParam;
import com.unis.policy.info.modular.mlpFirstDraftCollectOrg.service.MlpFirstDraftCollectOrgService;

import javax.annotation.Resource;
import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;

*/
/**
 * 中长期规划管理-初稿意见反馈-组织架构控制器
 *
 * @author QSHan
 * @date  2024/04/18 20:09
 *//*

@Api(tags = "中长期规划管理-初稿意见反馈-组织架构控制器")
@ApiSupport(author = "UNIS_TEAM", order = 1)
@RestController
@Validated
public class MlpFirstDraftCollectOrgController {

    @Resource
    private MlpFirstDraftCollectOrgService mlpFirstDraftCollectOrgService;

    */
/**
     * 获取中长期规划管理-初稿意见反馈-组织架构分页
     *
     * @author QSHan
     * @date  2024/04/18 20:09
     *//*

    @ApiOperationSupport(order = 1)
    @ApiOperation("获取中长期规划管理-初稿意见反馈-组织架构分页")
//    @SaCheckPermission("/policy.info/mlpFirstDraftCollectOrg/page")
    @GetMapping("/policy.info/mlpFirstDraftCollectOrg/page")
    public CommonResult<Page<MlpFirstDraftCollectOrg>> page(MlpFirstDraftCollectOrgPageParam mlpFirstDraftCollectOrgPageParam) {
        return CommonResult.data(mlpFirstDraftCollectOrgService.page(mlpFirstDraftCollectOrgPageParam));
    }

    */
/**
     * 添加中长期规划管理-初稿意见反馈-组织架构
     *
     * @author QSHan
     * @date  2024/04/18 20:09
     *//*

    @ApiOperationSupport(order = 2)
    @ApiOperation("添加中长期规划管理-初稿意见反馈-组织架构")
    @CommonLog("添加中长期规划管理-初稿意见反馈-组织架构")
//    @SaCheckPermission("/policy.info/mlpFirstDraftCollectOrg/add")
    @PostMapping("/policy.info/mlpFirstDraftCollectOrg/add")
    public CommonResult<String> add(@RequestBody @Valid MlpFirstDraftCollectOrgAddParam mlpFirstDraftCollectOrgAddParam) {
        mlpFirstDraftCollectOrgService.add(mlpFirstDraftCollectOrgAddParam);
        return CommonResult.ok();
    }

    */
/**
     * 编辑中长期规划管理-初稿意见反馈-组织架构
     *
     * @author QSHan
     * @date  2024/04/18 20:09
     *//*

    @ApiOperationSupport(order = 3)
    @ApiOperation("编辑中长期规划管理-初稿意见反馈-组织架构")
    @CommonLog("编辑中长期规划管理-初稿意见反馈-组织架构")
//    @SaCheckPermission("/policy.info/mlpFirstDraftCollectOrg/edit")
    @PostMapping("/policy.info/mlpFirstDraftCollectOrg/edit")
    public CommonResult<String> edit(@RequestBody @Valid MlpFirstDraftCollectOrgEditParam mlpFirstDraftCollectOrgEditParam) {
        mlpFirstDraftCollectOrgService.edit(mlpFirstDraftCollectOrgEditParam);
        return CommonResult.ok();
    }

    */
/**
     * 删除中长期规划管理-初稿意见反馈-组织架构
     *
     * @author QSHan
     * @date  2024/04/18 20:09
     *//*

    @ApiOperationSupport(order = 4)
    @ApiOperation("删除中长期规划管理-初稿意见反馈-组织架构")
    @CommonLog("删除中长期规划管理-初稿意见反馈-组织架构")
//    @SaCheckPermission("/policy.info/mlpFirstDraftCollectOrg/delete")
    @PostMapping("/policy.info/mlpFirstDraftCollectOrg/delete")
    public CommonResult<String> delete(@RequestBody @Valid @NotEmpty(message = "集合不能为空")
                                                   CommonValidList<MlpFirstDraftCollectOrgIdParam> mlpFirstDraftCollectOrgIdParamList) {
        mlpFirstDraftCollectOrgService.delete(mlpFirstDraftCollectOrgIdParamList);
        return CommonResult.ok();
    }

    */
/**
     * 获取中长期规划管理-初稿意见反馈-组织架构详情
     *
     * @author QSHan
     * @date  2024/04/18 20:09
     *//*

    @ApiOperationSupport(order = 5)
    @ApiOperation("获取中长期规划管理-初稿意见反馈-组织架构详情")
//    @SaCheckPermission("/policy.info/mlpFirstDraftCollectOrg/detail")
    @GetMapping("/policy.info/mlpFirstDraftCollectOrg/detail")
    public CommonResult<MlpFirstDraftCollectOrg> detail(@Valid MlpFirstDraftCollectOrgIdParam mlpFirstDraftCollectOrgIdParam) {
        return CommonResult.data(mlpFirstDraftCollectOrgService.detail(mlpFirstDraftCollectOrgIdParam));
    }
}
*/
