/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.policy.info.modular.sqrEnterpriseApply.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unis.basic.info.modular.grainPriceCollectCitySum.entity.GrainPriceCollectCitySum;
import com.unis.policy.info.modular.sqrEnterpriseApply.entity.SqrEnterpriseApply;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * 承储资格认定-承储资格申请Mapper接口
 *
 * @author hjc
 * @date  2024/04/28 15:45
 **/
@Mapper
public interface SqrEnterpriseApplyMapper extends BaseMapper<SqrEnterpriseApply> {

    IPage<Map<String, Object>> selectMyMapsPage(Page<SqrEnterpriseApply> p, @Param(Constants.WRAPPER) QueryWrapper<SqrEnterpriseApply> queryWrapper);

    SqrEnterpriseApply findById(@Param("unitInfoId") String unitInfoId,@Param(Constants.WRAPPER) QueryWrapper<SqrEnterpriseApply> queryWrapper);
}
