package com.unis.projectManagement.modular.pmBudget.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unis.projectManagement.modular.pmBudget.entity.FundPlan;
import com.unis.projectManagement.modular.pmBudget.entity.FundPlanInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-05-30 11:31
 */
public interface FundPlanMapper extends BaseMapper<FundPlan> {
    Page<FundPlan> getPageList(Page<Object> objectPage, @Param("ew") QueryWrapper<FundPlan> wrapper);

    List<FundPlanInfo> detailList(@Param("pmApplicationId") String pmApplicationId);
}
