package com.unis.purchaseAndSalesSupervision.modular.bizPssMoGrain.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Getter
@Setter
public class BizPssMoGrainIsEnabledByIdParam {

    /** 轮空期模型优化记录唯一标识符 */
    @ApiModelProperty(value = "id")
    @NotBlank(message = "id不能为空")
    private String id;

    /** 是否开启，0：否；1：是； */
    @ApiModelProperty(value = "是否开启，0：否；1：是；")
    @NotNull(message = "是否开启不能为空")
    private Integer isEnabled;
}
