package com.unis.purchaseAndSalesSupervision.modular.storageTaskSupervise.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unis.common.constant.DBConstant;
import com.unis.purchaseAndSalesSupervision.modular.storageTaskSupervise.entity.StorageFumigationTask;
import com.unis.purchaseAndSalesSupervision.modular.storageTaskSupervise.entity.StorageTaskSupervise;
import com.unis.purchaseAndSalesSupervision.modular.storageTaskSupervise.entity.StorageVentilationOperation;
import org.apache.ibatis.annotations.Param;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-06-15 16:02
 */
@DS(DBConstant.DS_DEPOT)
public interface StorageTaskSuperviseMapper extends BaseMapper<StorageTaskSupervise> {
    IPage<StorageTaskSupervise> getPageList(Page<Object> objectPage, @Param("orgName") String orgName);

    StorageVentilationOperation getByIdTF(@Param("id") String id);

    StorageFumigationTask getByIdXZ(@Param("id") String id);
}
