package com.unis.purchaseAndSalesSupervision.modular.yjbj.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * 轮换预警报警分页查询参数
 *
 * @author fxw
 * @date  2024/06/15 15:42
 **/
@Getter
@Setter
public class StorageRotationWarningIdParam {

    @ApiModelProperty(value = "转圈粮、以陈顶新记录唯一标识符", required = true)
    @NotBlank(message = "id不能为空")
    private String id;
}
