package com.unis.purchaseAndSalesSupervision.modular.yjbj.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 轮换预警报警主键查询参数
 *
 * @author fxw
 * @date  2024/06/15 15:42
 **/
@Getter
@Setter
public class StorageRotationWarningPageParam {

    @ApiModelProperty(value = "当前页码", position = 1)
    private Integer current;

    /** 每页条数 */
    @ApiModelProperty(value = "每页条数", position = 2)
    private Integer size;

    @ApiModelProperty(value = "库ID", position = 3)
    private Integer orgId;

    @ApiModelProperty(value = "仓房ID", position = 4)
    private Integer ch;

    @ApiModelProperty(value = "粮食品种ID", position = 5)
    private Integer lspz;

    @ApiModelProperty(value = "入库日期(yyyy-MM-dd)", position = 6)
    private String rkrq;
}
