package com.unis.purchaseAndSalesSupervision.modular.yjbj.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 行为采集分析分页查询参数
 *
 **/
@Getter
@Setter
public class XwcjfxPageParam {

    @ApiModelProperty(value = "当前页码", position = 1)
    private Integer current;

    /** 每页条数 */
    @ApiModelProperty(value = "每页条数", position = 2)
    private Integer size;

    @ApiModelProperty(value = "库mc", position = 3)
    private String orgName;

    @ApiModelProperty(value = "车牌号", position = 4)
    private String cph;

    @ApiModelProperty(value = "出入库时间", position = 5)
    private String crksj;

    @ApiModelProperty(value = "企业名称", position = 6)
    private String qymc;
}
