package com.unis.purchaseAndSalesSupervision.modular.yjbj.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 转圈粮分页查询参数
 *
 * @author fxw
 * @date  2024/06/15 15:42
 **/
@Getter
@Setter
public class ZqlPageParam {

    @ApiModelProperty(value = "当前页码", position = 1)
    private Integer current;

    @ApiModelProperty(value = "每页条数", position = 2)
    private Integer size;

    @ApiModelProperty(value = "库ID", position = 3)
    private Integer orgId;

    @ApiModelProperty(value = "开始日期(yyyy-MM-dd)", position = 4)
    private String startDate;

    @ApiModelProperty(value = "结束日期(yyyy-MM-dd)", position = 5)
    private String endDate;
}
