package com.unis.reserveLayout.modular.dataKcglKcswDefault.entity.VO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 出入库存信息VO
 *
 * @author TS
 * @date  2024/06/12 15:48
 **/
@Getter
@Setter
public class CrkKcswDataVO {



    @ApiModelProperty(value = "库区名称", position = 1)
    private String orgName;
  //地方储备
    @ApiModelProperty(value = "地方储备-粮油合计", position = 2)
    private Double dfcbLyhj = 0.0;

    @ApiModelProperty(value = "地方储备-原粮合计", position = 3)
    private Double dfcbYyhj = 0.0;

    @ApiModelProperty(value = "地方储备-小麦", position = 4)
    private Double dfcbXmhj = 0.0;

    @ApiModelProperty(value = "地方储备-小麦-面折粮", position = 5)
    private Double dfcbXmMzl= 0.0;

    @ApiModelProperty(value = "地方储备-小麦折面粉", position = 6)
    private Double dfcbXmToMf= 0.0;

    @ApiModelProperty(value = "地方储备-青稞", position = 7)
    private Double dfcbQkhj= 0.0;

    @ApiModelProperty(value = "地方储备-稻谷", position = 8)
    private Double dfcbDghj= 0.0;

    @ApiModelProperty(value = "地方储备-稻谷-米折粮", position = 9)
    private Double dfcbDgMzl= 0.0;

    @ApiModelProperty(value = "地方储备-稻谷折大米", position = 10)
    private Double dfcbDgToDm= 0.0;

    @ApiModelProperty(value = "地方储备-菜籽油合计", position = 10-1)
    private Double dfcbCzyhj= 0.0;

    //省级储备

    @ApiModelProperty(value = "省级储备-粮油合计", position = 11)
    private Double sjcbLyhj= 0.0;

    @ApiModelProperty(value = "省级储备-原粮合计", position = 12)
    private Double sjcbYyhj= 0.0;

    @ApiModelProperty(value = "省级储备-小麦", position = 13)
    private Double sjcbXmhj= 0.0;

    @ApiModelProperty(value = "省级储备-小麦-面折粮", position = 15)
    private Double sjcbXmMzl= 0.0;

    @ApiModelProperty(value = "省级储备-小麦折面粉", position = 16)
    private Double sjcbXmToMf= 0.0;

    @ApiModelProperty(value = "省级储备-青稞", position = 17)
    private Double sjcbQkhj= 0.0;

    @ApiModelProperty(value = "省级储备-稻谷", position = 18)
    private Double sjcbDghj= 0.0;

    @ApiModelProperty(value = "省级储备-稻谷-米折粮", position = 19)
    private Double sjcbDgMzl= 0.0;

    @ApiModelProperty(value = "省级储备-稻谷折大米", position = 20)
    private Double sjcbDgToDm= 0.0;

    @ApiModelProperty(value = "省级储备-菜籽油合计", position = 20-1)
    private Double sjcbCzyhj= 0.0;

    //市级储备

    @ApiModelProperty(value = "市级储备-粮油合计", position = 21)
    private Double cjcbLyhj= 0.0;

    @ApiModelProperty(value = "市级储备-原粮合计", position = 22)
    private Double cjcbYyhj= 0.0;

    @ApiModelProperty(value = "市级储备-小麦", position = 23)
    private Double cjcbXmhj= 0.0;

    @ApiModelProperty(value = "市级储备-小麦-面折粮", position = 25)
    private Double cjcbXmMzl= 0.0;

    @ApiModelProperty(value = "市级储备-小麦折面粉", position = 26)
    private Double cjcbXmToMf= 0.0;

    @ApiModelProperty(value = "市级储备-青稞", position = 27)
    private Double cjcbQkhj= 0.0;

    @ApiModelProperty(value = "市级储备-稻谷", position = 28)
    private Double cjcbDghj= 0.0;

    @ApiModelProperty(value = "市级储备-稻谷-米折粮", position = 29)
    private Double cjcbDgMzl= 0.0;

    @ApiModelProperty(value = "市级储备-稻谷折大米", position = 30)
    private Double cjcbDgToDm= 0.0;

    @ApiModelProperty(value = "市级储备-菜籽油合计", position = 30-1)
    private Double cjcbCzyhj= 0.0;
    //县级储备

    @ApiModelProperty(value = "县级储备-粮油合计", position = 31)
    private Double xjcbLyhj= 0.0;

    @ApiModelProperty(value = "县级储备-原粮合计", position = 32)
    private Double xjcbYyhj= 0.0;

    @ApiModelProperty(value = "县级储备-小麦", position = 33)
    private Double xjcbXmhj= 0.0;

    @ApiModelProperty(value = "县级储备-小麦-面折粮", position = 35)
    private Double xjcbXmMzl= 0.0;

    @ApiModelProperty(value = "县级储备-小麦折面粉", position = 36)
    private Double xjcbXmToMf= 0.0;

    @ApiModelProperty(value = "县级储备-青稞", position = 37)
    private Double xjcbQkhj= 0.0;

    @ApiModelProperty(value = "县级储备-稻谷", position = 38)
    private Double xjcbDghj= 0.0;

    @ApiModelProperty(value = "县级储备-稻谷-米折粮", position = 39)
    private Double xjcbDgMzl= 0.0;

    @ApiModelProperty(value = "县级储备-稻谷折大米", position = 40)
    private Double xjcbDgToDm= 0.0;

    @ApiModelProperty(value = "县级储备-菜籽油合计", position = 40-1)
    private Double xjcbCzyhj= 0.0;
}
