package com.unis.reserveLayout.modular.grainInspectionArchive.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-06-13 11:20
 */
@Getter
@Setter
public class GrainInspectionInfoParam {

    @ApiModelProperty(value = "仓房id", position = 1)
    private Integer storehouseId;

    @ApiModelProperty(value = "仓房类型id", position = 2)
    private Integer storehouseType;

    @ApiModelProperty(value = "仓房类型名称", position = 3)
    private String storehouseTypeName;

    @ApiModelProperty(value = "粮食品种id", position = 4)
    private Integer grainVarietyId;

    @ApiModelProperty(value = "粮食品种名称", position = 5)
    private String foodVarietyName;

    @ApiModelProperty(value = "最高温", position = 6)
    private BigDecimal tempMax;

    @ApiModelProperty(value = "最低温", position = 7)
    private BigDecimal tempMin;

    @ApiModelProperty(value = "平均温", position = 8)
    private BigDecimal tempAvg;
}
