package com.unis.reserveLayout.modular.keepWork.param;

import com.unis.common.page.PageParam;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-05-11 16:20
 */
@Getter
@Setter
public class DemoFumigationPageParam extends PageParam {
    private static final long serialVersionUID = -797116252400445100L;

    @ApiModelProperty(value = "库区编码", required = true)
    @NotBlank(message = "库区编码不能为空")
    private String orgId;

    @ApiModelProperty(value = "仓房名称")
    private String orgName;

}
