package com.unis.reserveLayout.modular.qualityInspectionOrg.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

@Getter
@Setter
@TableName("business_qc_quality_inspection_item")
public class BusinessQcQualityInspectionItem implements Serializable {
    private static final long serialVersionUID = -3010040386739892566L;

    @ApiModelProperty(value = "主键ID")
    @TableId(type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "创建日期")
    private Date createdate;

    @ApiModelProperty(value = "更新人")
    private String updatename;

    @ApiModelProperty(value = "更新日期")
    private Date updatedate;

    @ApiModelProperty(value = "business_qc_quality_inspection的id")
    private Integer qcQualityInspectionId;

    // 检验项目父id(指标类别):basic_enum的id
    @ApiModelProperty(value = "检验方法id")
    private Integer parentInspectionItemId;

    @ApiModelProperty(value = "检验项目；basic_enum的id")
    private Integer inspectionItemId;

    @ApiModelProperty(value = "检验项目名称")
    @TableField(exist = false)
    private String inspectionItemName;

    @ApiModelProperty(value = "检验值")
    private String inspectionValue;

    @ApiModelProperty(value = "单项结论")
    private String singleConclusion;

    @ApiModelProperty(value = "检验项目；basic_enum的id")
    private String inspectionMethod;

    @ApiModelProperty(value = "检验方法名称")
    @TableField(exist = false)
    private String parentInspectionItemName;
}