package com.unis.reserveLayout.modular.qualityInspectionOrg.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-06-07 14:20
 */
@Getter
@Setter
public class QualityInspectionWhole implements Serializable {
    private static final long serialVersionUID = -9190678429421749799L;

    @ApiModelProperty(value = "质检id", position = 1)
    private Integer id;

    @ApiModelProperty(value = "库区id", position = 2)
    private Integer orgId;

    @ApiModelProperty(value = "库区名称", position = 3)
    private String orgName;

    @ApiModelProperty(value = "仓房id", position = 4)
    private Integer basicStorehouseId;

    @ApiModelProperty(value = "仓房名称", position = 5)
    private String storehouseName;

    @ApiModelProperty(value = "货位id", position = 6)
    private Integer warehouseId;

    @ApiModelProperty(value = "货位名称", position = 7)
    private String warehouseName;

    @ApiModelProperty(value = "品种id", position = 8)
    private Integer grainVarietyId;

    @ApiModelProperty(value = "品种名称", position = 9)
    private String grainVarietyName;

    @ApiModelProperty(value = "性质id", position = 10)
    private Integer grainNatureId;

    @ApiModelProperty(value = "性质名称", position = 11)
    private String grainNatureName;

    @ApiModelProperty(value = "检验时间", position = 12)
    private Date jysj;

    @ApiModelProperty(value = "质检报告单号", position = 13)
    private String zjbgdh;

    @ApiModelProperty(value = "库区地址", position = 14)
    private String address;
}
