package com.unis.safeStorage.modular.ssSafeGrainStorageInspectionResult.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author hjc
 * @version 1.0
 * @Description
 * @date 2024/6/3 19:20
 */
@Data
public class GrainInfoVO {

    /** 粮食种类 */
    @ApiModelProperty(value = "粮食种类;", position = 9)
    private String grainVarietyName;

    /** 粮食等级 */
    @ApiModelProperty(value = "粮食等级;", position = 11)
    private String grainGradeName;

    /** 粮食品种；basic_enum的id； */
    @ApiModelProperty(value = "粮食品种；basic_enum的id；", position = 9)
    private Integer grainVarietyId;

    /** 粮食等级；basic_enum的id； */
    @ApiModelProperty(value = "粮食等级；basic_enum的id；", position = 10)
    private Integer grainGradeId;

}
