/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.statisticalReport.info.modular.conReportinfo.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 储备信息统计报表--仓房信息列表详情
 *
 * @author TS
 * @date 2024/05/31 10:02
 **/
@Data
public class ReserveReportDetailsinfo  {


    @ApiModelProperty(value = "粮温数据", position = 1)
    private  LqData lqData;

    @ApiModelProperty(value = "质检记录", position = 2)
    private  QualityInspection qualityInspection;

    @ApiModelProperty(value = "出入库记录", position = 3)
    private List<CrkData> crkDataList;


}
