package com.unis.statisticalReport.info.modular.grainTempCheck.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unis.statisticalReport.info.modular.grainTempCheck.entity.GrainTemp;
import com.unis.statisticalReport.info.modular.grainTempCheck.entity.GrainTempExcel;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-06-04 15:31
 */
public interface GrainTempMapper extends BaseMapper<GrainTemp> {
    Page<GrainTemp> getPage(Page<GrainTemp> objectPage, @Param("storehouseName") String storehouseName);

    List<GrainTempExcel> exportExcel(@Param("startDate") String startDate, @Param("endDate") String endDate);
}
