package com.unis.statisticalReport.info.modular.ssSafeProductInspectionResult.vo;

import com.unis.statisticalReport.info.modular.ssSafeProductInspectionResult.entity.SsSafeProductInspectionResult;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author hjc
 * @version 1.0
 * @Description
 * @date 2024/6/1 14:53
 */
@Data
public class SsSafeProductInspectionResultVO extends SsSafeProductInspectionResult {


    /** 库区；外库depot_qh.org_info的id； */
    @ApiModelProperty(value = "库区id；", position = 6)
    private Integer orgId;

    /** 库区；外库depot_qh.org_info的id； */
    @ApiModelProperty(value = "库区名称；", position = 6)
    private String orgName;

    /** 外库depot_qh.basic_storehouse的id；仓房id */
    @ApiModelProperty(value = "仓房名称", position = 7)
    private String storehouseName;

    /** 外库depot_qh.basic_warehouse的id；货位id; */
    @ApiModelProperty(value = "货位名称;", position = 8)
    private String warehouseName;

}
