package com.unis.visualization.modular.grainOilReserve.entity.VO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 *各市州品种统计图表信息
 *
 * @author TS
 * @date  2024/06/19 15:48
 **/
@Getter
@Setter
public class CityVarietyCapacityChart {



    @ApiModelProperty(value = "市州名称", position = 1)
    private String cityName;

    @ApiModelProperty(value = "市州Id", position = 2)
    private String cityId;

    @ApiModelProperty(value = "小麦(数字，单位万吨）", position =3)
    private Double xm ;

    @ApiModelProperty(value = "玉米(数字，单位万吨）", position = 4)
    private Double ym ;

    @ApiModelProperty(value = "稻谷(数字，单位万吨）", position = 5)
    private Double dg;

    @ApiModelProperty(value = "青稞(数字，单位万吨）", position = 6)
    private Double qk;

    @ApiModelProperty(value = "原油(数字，单位万吨）", position = 7)
    private Double yy;



}
