package com.unis.visualization.modular.grainOilReserve.entity.VO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 *库存详情
 *
 * @author TS
 * @date  2024/06/19 15:48
 **/
@Getter
@Setter
public class StockDetail {



    @ApiModelProperty(value = "粮食名称名称", position = 1)
    private String pzName;

    @ApiModelProperty(value = "质量等级名称", position = 2)
    private String djName;

    @ApiModelProperty(value = "库存状态", position = 3)
    private String stockStatus = "正常";


    @ApiModelProperty(value = "库存数理(数字，单位万吨）", position = 4)
    private Double kcsl;

    @ApiModelProperty(value = "储粮性质", position = 5)
    private String xzName;
}
