package com.unis.auth.modular.login.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * @author hujiangchun
 * @version 1.0
 * @Title
 * @ProjectName
 * @Description
 * @date 2024/4/10 15:04
 */
@Getter
@Setter
public class DepotPasswordLoginParam {

    /**
     * 密码
     */
    @ApiModelProperty(value = "用户名", position = 7)
    @NotBlank(message = "用户名不能为空")
    private String username;

    /**
     * 手机号
     */
    @ApiModelProperty(value = "密码", position = 8)
    @NotBlank(message = "密码不能为空")
    private String password;


}
