package com.unis.basic.info.modular.priceMoitorRecord.vo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;

import java.util.Date;

/**
 * @author hujiangchun
 * @version 1.0
 * @Title
 * @ProjectName
 * @Description
 * @date 2024/4/12 9:26
 */
@Data
public class PriceMonitorRecordVo {

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 3)
    private Date createTime;

    /** 创建用户 */
    @ApiModelProperty(value = "创建用户", position = 4)
    private String createUser;

    /** 修改时间 */
    @ApiModelProperty(value = "修改时间", position = 5)
    private Date updateTime;

    /** 修改用户 */
    @ApiModelProperty(value = "修改用户", position = 6)
    private String updateUser;

    @ApiModelProperty(value = "监测点名称", position = 6)
    private String name;

    @ApiModelProperty(value = "监测点地址", position = 6)
    private String address;

    /** 定位开关 0：关闭；1：开启；   开启：必须实地采集；关闭：可以非实地采集； */
    @ApiModelProperty(value = "定位开关 0：关闭；1：开启；   开启：必须实地采集；关闭：可以非实地采集；", position = 7)
    private Integer locationSwitch;

    /** biz_price_monitor的id */
    @ApiModelProperty(value = "biz_price_monitor的id", position = 8)
    private String priceMonitorId;


}
