package com.unis.basic.info.modular.usercollect.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 采集人员-价格监测关系表
 *
 * @author weiyinbin
 * @date  2024/04/02 15:40
 **/
@Getter
@Setter
@TableName("biz_user_price")
public class UserPrice {

    /** ID */
    @TableId
    @ApiModelProperty(value = "ID", position = 1)
    private String id;

    private String userCollectId;


    private String priceMonitorId;

}
