package com.unis.circulateMonitor.modular.realTimeQueryStatisticItem.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-06-17 16:40
 */
@Getter
@Setter
public class RealTimeQueryStatisticItemConvertParam {

    // 粮食品种；1：小麦；2：青稞；3：稻谷；4：大米；5：白面；6：菜籽油
    // 小麦-价格
    @ApiModelProperty(value = "小麦价格", position = 1)
    private BigDecimal xmPrice;
    // 青稞-价格
    @ApiModelProperty(value = "青稞价格", position = 2)
    private BigDecimal qkPrice;
    // 稻谷-价格
    @ApiModelProperty(value = "稻谷价格", position = 3)
    private BigDecimal dgPrice;
    // 大米-价格
    @ApiModelProperty(value = "大米价格", position = 4)
    private BigDecimal dmPrice;
    // 白面-价格
    @ApiModelProperty(value = "白面价格", position = 5)
    private BigDecimal bmPrice;
    // 菜籽油-价格
    @ApiModelProperty(value = "菜籽油价格", position = 6)
    private BigDecimal czyPrice;

    // 小麦-交易量
    @ApiModelProperty(value = "小麦交易量", position = 7)
    private BigDecimal xmTradeQuantity;
    // 青稞-交易量
    @ApiModelProperty(value = "青稞交易量", position = 8)
    private BigDecimal qkTradeQuantity;
    // 稻谷-交易量
    @ApiModelProperty(value = "稻谷交易量", position = 9)
    private BigDecimal dgTradeQuantity;
    // 大米-交易量
    @ApiModelProperty(value = "大米交易量", position = 10)
    private BigDecimal dmTradeQuantity;
    // 白面-交易量
    @ApiModelProperty(value = "白面交易量", position = 11)
    private BigDecimal bmTradeQuantity;
    // 菜籽油-交易量
    @ApiModelProperty(value = "菜籽油交易量", position = 12)
    private BigDecimal czyTradeQuantity;
}
