package com.unis.emergencySupport.modular.es.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;


/**
 * 应急保障-应急供应网点管理-应急网点统计查询参数
 *
 * @author ZeroLiYi
 * @date  2024/05/28 09:21
 **/
@Getter
@Setter
public class EsNetworkEntryCountParam {

    /** 归口管理地区-省 */
    @ApiModelProperty(value = "归口管理地区-省", position = 22)
    private String managementAreaProvince;

    /** 归口管理地区-市 */
    @ApiModelProperty(value = "归口管理地区-市", position = 23)
    private String managementAreaCity;

    /** 归口管理地区-县 */
    @ApiModelProperty(value = "归口管理地区-县", position = 24)
    private String managementAreaCounty;
}
