/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 *//*

package com.unis.emergencySupportCenter.modular.planExecuteEnterprise.controller;

import cn.dev33.satoken.annotation.SaCheckPermission;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;
import com.unis.common.annotation.CommonLog;
import com.unis.common.pojo.CommonResult;
import com.unis.common.pojo.CommonValidList;
import com.unis.emergencySupportCenter.modular.planExecuteEnterprise.entity.PlanExecuteEnterprise;
import com.unis.emergencySupportCenter.modular.planExecuteEnterprise.param.PlanExecuteEnterpriseAddParam;
import com.unis.emergencySupportCenter.modular.planExecuteEnterprise.param.PlanExecuteEnterpriseEditParam;
import com.unis.emergencySupportCenter.modular.planExecuteEnterprise.param.PlanExecuteEnterpriseIdParam;
import com.unis.emergencySupportCenter.modular.planExecuteEnterprise.param.PlanExecuteEnterprisePageParam;
import com.unis.emergencySupportCenter.modular.planExecuteEnterprise.service.PlanExecuteEnterpriseService;

import javax.annotation.Resource;
import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;

*/
/**
 * 方案执行情况-企业控制器
 *
 * @author QSHan
 * @date  2024/06/28 17:13
 *//*

@Api(tags = "方案执行情况-企业控制器")
@ApiSupport(author = "UNIS_TEAM", order = 1)
@RestController
@Validated
public class PlanExecuteEnterpriseController {

    @Resource
    private PlanExecuteEnterpriseService planExecuteEnterpriseService;

    */
/**
     * 获取方案执行情况-企业分页
     *
     * @author QSHan
     * @date  2024/06/28 17:13
     *//*

    @ApiOperationSupport(order = 1)
    @ApiOperation("获取方案执行情况-企业分页")
    @SaCheckPermission("/emergencySupportCenter/planExecuteEnterprise/page")
    @GetMapping("/emergencySupportCenter/planExecuteEnterprise/page")
    public CommonResult<Page<PlanExecuteEnterprise>> page(PlanExecuteEnterprisePageParam planExecuteEnterprisePageParam) {
        return CommonResult.data(planExecuteEnterpriseService.page(planExecuteEnterprisePageParam));
    }

    */
/**
     * 添加方案执行情况-企业
     *
     * @author QSHan
     * @date  2024/06/28 17:13
     *//*

    @ApiOperationSupport(order = 2)
    @ApiOperation("添加方案执行情况-企业")
    @CommonLog("添加方案执行情况-企业")
    @SaCheckPermission("/emergencySupportCenter/planExecuteEnterprise/add")
    @PostMapping("/emergencySupportCenter/planExecuteEnterprise/add")
    public CommonResult<String> add(@RequestBody @Valid PlanExecuteEnterpriseAddParam planExecuteEnterpriseAddParam) {
        planExecuteEnterpriseService.add(planExecuteEnterpriseAddParam);
        return CommonResult.ok();
    }

    */
/**
     * 编辑方案执行情况-企业
     *
     * @author QSHan
     * @date  2024/06/28 17:13
     *//*

    @ApiOperationSupport(order = 3)
    @ApiOperation("编辑方案执行情况-企业")
    @CommonLog("编辑方案执行情况-企业")
    @SaCheckPermission("/emergencySupportCenter/planExecuteEnterprise/edit")
    @PostMapping("/emergencySupportCenter/planExecuteEnterprise/edit")
    public CommonResult<String> edit(@RequestBody @Valid PlanExecuteEnterpriseEditParam planExecuteEnterpriseEditParam) {
        planExecuteEnterpriseService.edit(planExecuteEnterpriseEditParam);
        return CommonResult.ok();
    }

    */
/**
     * 删除方案执行情况-企业
     *
     * @author QSHan
     * @date  2024/06/28 17:13
     *//*

    @ApiOperationSupport(order = 4)
    @ApiOperation("删除方案执行情况-企业")
    @CommonLog("删除方案执行情况-企业")
    @SaCheckPermission("/emergencySupportCenter/planExecuteEnterprise/delete")
    @PostMapping("/emergencySupportCenter/planExecuteEnterprise/delete")
    public CommonResult<String> delete(@RequestBody @Valid @NotEmpty(message = "集合不能为空")
                                                   CommonValidList<PlanExecuteEnterpriseIdParam> planExecuteEnterpriseIdParamList) {
        planExecuteEnterpriseService.delete(planExecuteEnterpriseIdParamList);
        return CommonResult.ok();
    }

    */
/**
     * 获取方案执行情况-企业详情
     *
     * @author QSHan
     * @date  2024/06/28 17:13
     *//*

    @ApiOperationSupport(order = 5)
    @ApiOperation("获取方案执行情况-企业详情")
    @SaCheckPermission("/emergencySupportCenter/planExecuteEnterprise/detail")
    @GetMapping("/emergencySupportCenter/planExecuteEnterprise/detail")
    public CommonResult<PlanExecuteEnterprise> detail(@Valid PlanExecuteEnterpriseIdParam planExecuteEnterpriseIdParam) {
        return CommonResult.data(planExecuteEnterpriseService.detail(planExecuteEnterpriseIdParam));
    }
}
*/
