package com.unis.equipmentOnlineRateAssessment.modular.hk.constant;


/**
 * @author ybw
 * @version V1.0
 * @className APICostant
 * @date 2024/6/18
 **/
public interface ApiHkConstant {
    /**
     * 分页获取区域列表
     *
     * @author: ybw
     * @date: 2024/6/18
     **/
    String API_HK_REGIONS = "/artemis/api/resource/v1/regions";
    /**
     * 根据编号获取监控点详细信息
     *
     * @author: ybw
     * @date: 2024/6/19
     **/
    String API_HK_CAMERA = "/artemis/api/resource/v1/cameras/indexCode";
    /**
     * 获取监控点预览取流 获取监控点预览取流  URLv2
     *
     * @author: ybw
     * @date: 2024/6/20
     **/
    String API_HK_PREVIEW_URL = "/artemis/api/video/v2/cameras/previewURLs";
    /**
     * 获取监控点回放取流
     *
     * @author: ybw
     * @date: 2024/6/20
     **/
    String API_HK_PLAYBACK_URL = "/artemis/api/video/v2/cameras/playbackURLs";
    /**
     * 开始手动录像
     *
     * @author: ybw
     * @date: 2024/6/20
     **/
    String API_HK_RECORD_START = "/artemis/api/video/v1/manualRecord/start";
    /**
     * 停止手动录像
     *
     * @author: ybw
     * @date: 2024/6/20
     **/
    String API_HK_RECORD_STOP = "/artemis/api/video/v1/manualRecord/stop";


    /**
     * 返回码
     *
     * @author ybw
     * @version V1.0
     * @className ApiHkConstant
     * @date 2024/6/20
     **/
    interface Code {
        /**
         * 成功
         *
         * @author: ybw
         * @date: 2024/6/20
         **/
        String SUCCESS = "0";
    }
}
