package com.unis.equipmentOnlineRateAssessment.modular.hk.dto.res;

import lombok.Data;

/**
 * 区域
 *
 * @author ybw
 * @version V1.0
 * @className Regions
 * @date 2024/6/18
 **/
@Data
public class RegionResDTO {
    /**
     * 区域唯一标识码
     *
     * @author: ybw
     * @date: 2024/6/18
     **/
    private String indexCode;
    /**
     * 区域名称
     *
     * @author: ybw
     * @date: 2024/6/18
     **/
    private String name;
    /**
     * 父区域唯一标识码
     *
     * @author: ybw
     * @date: 2024/6/18
     **/
    private String parentIndexCode;
    /**
     * 树编号
     *
     * @author: ybw
     * @date: 2024/6/18
     **/
    private String treeCode;

}
