package com.unis.equipmentOnlineRateAssessment.modular.monitorCamera.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author hjc
 * @version 1.0
 * @Description
 * @date 2024/6/22 16:45
 */
@Data
@ContentRowHeight(20) // 文本行高度
@HeadRowHeight(20) // 标题高度
@ColumnWidth(20) // 默认列宽度
public class AutomatedAssessmentsExportVO {


    @ExcelProperty("摄像头总数量")
    private Integer cameraAllNum;

    @ExcelProperty("摄像头在线数量")
    private Integer cameraOnlineNum;

    @ExcelProperty("摄像头离线数量")
    private Integer cameraOfflineNum;

    @ExcelProperty("摄像头在线率(%)")
    @ColumnWidth(23)
    private BigDecimal cameraOnlineRate;

    @ExcelProperty("摄像头离线率(%)")
    @ColumnWidth(23)
    private BigDecimal cameraOfflineRate;

    @ExcelProperty("NVR总数量")
    private Integer nvrAllNum;
}
