package com.unis.equipmentOnlineRateAssessment.modular.monitorCamera.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author hjc
 * @version 1.0
 * @Description
 * @date 2024/6/22 16:45
 */
@Data
public class AutomatedAssessmentsPageVO {

    /** 摄像头总数量 */
    @ApiModelProperty(value = "摄像头总数量", position = 1)
    private Integer cameraAllNum;

    /** 摄像头在线数量 */
    @ApiModelProperty(value = "摄像头在线数量", position = 2)
    private Integer cameraOnlineNum;

    /** 摄像头离线数量 */
    @ApiModelProperty(value = "摄像头离线数量", position = 3)
    private Integer cameraOfflineNum;

    /** 摄像头在线率 */
    @ApiModelProperty(value = "摄像头在线率(%)", position = 4)
    private BigDecimal cameraOnlineRate;

    /** 摄像头在线率 */
    @ApiModelProperty(value = "摄像头离线率(%)", position = 5)
    private BigDecimal cameraOfflineRate;

    /** NVR总数量 */
    @ApiModelProperty(value = "NVR总数量", position = 6)
    private Integer nvrAllNum;
}
