package com.unis.equipmentOnlineRateAssessment.modular.monitorCamera.vo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author hjc
 * @version 1.0
 * @Description
 * @date 2024/6/22 10:10
 */
@Data
public class CameraAndNvrDetailVO {

    /** 设备出厂名称（海康高清红外球机） */
    @ApiModelProperty(value = "设备出厂名称（海康高清红外球机）", position = 4)
    private String name;

    /** ip地址 */
    @ApiModelProperty(value = "ip地址", position = 8)
    private String ip;

    /** 子网掩码 */
    @ApiModelProperty(value = "子网掩码", position = 9)
    private String subnetmask;

    /** 端口 */
    @ApiModelProperty(value = "端口", position = 12)
    private String port;

    /** 设备型号 */
    @ApiModelProperty(value = "设备型号", position = 15)
    private String modelNumber;


    /** 设备类型（1 摄像头，2 NVR) */
    @ApiModelProperty(value = "设备类型（1 摄像头，2 NVR)", position = 27)
    private Integer variety;

}
