package com.unis.equipmentOnlineRateAssessment.modular.monitorCamera.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author hjc
 * @version 1.0
 * @Description
 * @date 2024/6/21 20:54
 */
@Data
public class CameraAndNvrVO {

    /** 主键 */
    @ApiModelProperty(value = "主键", required = true, position = 1)
    private Integer id;

    /** 组织机构代码 */
    @ApiModelProperty(value = "库区id", position = 2)
    private String orgId;

    /** 组织机构代码 */
    @ApiModelProperty(value = "库区名称", position = 3)
    private String orgName;

    /** 设备出厂名称（海康高清红外球机） */
    @ApiModelProperty(value = "设备出厂名称（海康高清红外球机）", position = 4)
    private String name;

    /** ip地址 */
    @ApiModelProperty(value = "ip地址", position = 8)
    private String ip;

    /** 所属厂商 1-200海康 2-300大华 3其他 */
    @ApiModelProperty(value = "所属厂商 1-200海康 2-300大华 3其他", position = 13)
    private String factory;

    /** 设备类型（1 摄像头，2 NVR) */
    @ApiModelProperty(value = "设备类型（1 摄像头，2 NVR)", position = 27)
    private Integer variety;


}
