package com.unis.equipmentOnlineRateAssessment.modular.monitorCamera.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author hjc
 * @version 1.0
 * @Description
 * @date 2024/6/22 14:22
 */
@Data
public class OnlineInspectionPageVO {

    /** 主键 */
    @ApiModelProperty(value = "主键", required = true, position = 1)
    @NotNull(message = "id不能为空")
    private Integer id;

    /** 组织机构代码 */
    @ApiModelProperty(value = "库区id", position = 2)
    private String orgId;

    /** 库区名称 */
    @ApiModelProperty(value = "库区名称", position = 2)
    private String orgName;

    @ApiModelProperty(value = "所属市州Id",position = 3)
    private String zcdzCityId;

    @ApiModelProperty(value = "所属市州名称",position = 4)
    private String zcdzCityName;

    /** 设备出厂名称（海康高清红外球机） */
    @ApiModelProperty(value = "设备出厂名称（海康高清红外球机）", position = 4)
    private String name;

    /** 在线状态（0-未知，1-在
     线，2-离线） */
    @ApiModelProperty(value = "在线状态（0-未知，1-在线，2-离线)", position = 27)
    private Integer status;

    /** 设备类型 2枪机 1球机 */
    @ApiModelProperty(value = "设备类型 2枪机 1球机", position = 11)
    private String type;

    /** 预警时间 */
    @ApiModelProperty(value = "设备非在线状态（status!=1）的更新时间。", position = 29)
    private Date warnTime;



}
