/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.examine.modular.neassessmentScore.enums;

import lombok.Getter;

/**
 * 粮食安全责任制考核-考核评分表枚举
 *
 * @author ZeroLiYi
 * @date  2024/04/23 10:15
 **/
@Getter
public enum BizNeAssessmentScoreEnum {
    GK(1),
    SK_XN(2),
    SK_HD(3),
    SK_HBZ(4),
    SK_HXZ(5),
    SK_HNZ(6),
    SK_YNZ(7),
    SK_GLZ(8),
    SK_YSZ(9);
    //类型 1：国考-青海省；2：省考-西宁市；3：省考-海东；4：省考-海北州；5：省考-海西州；6：省考-海南州；7：省考-黄南州；8：省考-果洛州；9：省考-玉树州；


    private final Integer value;

    BizNeAssessmentScoreEnum(Integer value) {
        this.value = value;
    }
}
