package com.unis.financialSupervision.modular.fsstoragesubsidysettle.task;

import com.unis.common.timer.CommonTimerTaskRunner;
import com.unis.financialSupervision.modular.fsstoragesubsidysettle.service.FsStorageSubsidySettleService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class FsStorageSubsidySettleTaskRunner  implements CommonTimerTaskRunner {

    @Autowired
    private FsStorageSubsidySettleService fsStorageSubsidySettleService;

    @Override
    public void action() {
        fsStorageSubsidySettleService.addFsStorageSubsidySettle();
    }
}
