package com.unis.finishedGrainSupervision.modular.entity;


import com.baomidou.mybatisplus.annotation.*;

import java.util.Date;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 库存管理-库存实物
 * </p>
 *
 * @author TangSong
 * @since 2021-11-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(description="库存管理-库存实物")
public class DataKcglKcswDefault implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "数据记录ID")
    private String DataID;

    @ApiModelProperty(value = "单位ID")
    @TableField("UnitID")
    private String UnitID;

    @ApiModelProperty(value = "期间ID")
    @TableField("PeriodID")
    private String PeriodID;

    @ApiModelProperty(value = "舍位ID")
    @TableField("RoundID")
    private Integer RoundID;

    @ApiModelProperty(value = "最后一次编辑时间")
    @TableField("ModifyDate")
    private Date ModifyDate;

    @ApiModelProperty(value = "条目创建人")
    private String builder;

    @ApiModelProperty(value = "数据上传时间")
    @TableField(value = "UPDATE_TIME",update = "null",fill = FieldFill.UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "部门ID")
    @TableField("DeptID")
    private String DeptID;

    @ApiModelProperty(value = "样式id")
    @TableField("SytelInfoID")
    private String SytelInfoID;

    @ApiModelProperty(value = "创建时间")
    @TableField("BuildDate")
    private Date BuildDate;

    @ApiModelProperty(value = "修改人")
    private String editor;

    @ApiModelProperty(value = "粮库名称")
    private String lkmc;

    @ApiModelProperty(value = "粮库编码")
    private String lkbm;

    @ApiModelProperty(value = "货物性质")
    private String hwxz;

    @ApiModelProperty(value = "仓房")
    private String ch;

    @ApiModelProperty(value = "货位号")
    private String hwh;

    @ApiModelProperty(value = "品种")
    private String pz;

    @ApiModelProperty(value = "明细品种")
    private String mxpz;

    @ApiModelProperty(value = "等级")
    private String dj;

    @ApiModelProperty(value = "日期")
    private Date rq;

    @ApiModelProperty(value = "文件号ID")
    private String wjh;

    @ApiModelProperty(value = "库存数量")
    private Double kcsl;

    @ApiModelProperty(value = "创建时间")
    private Date cjsj;

    @ApiModelProperty(value = "总金额")
    private Double zje;

    @ApiModelProperty(value = "委托单位")
    private String wtdw;

    @ApiModelProperty(value = "委托单位名称")
    private String wtdwmc;

    @ApiModelProperty(value = "批次数量")
    private Integer pcsl;


}
