package com.unis.finishedGrainSupervision.modular.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 *
 *设备信息分页
 * @author TS
 * @date  2024/06/05 15:48
 **/
@Getter
@Setter
public class DevInputDetailVO extends DevInputPageVO {



    @ApiModelProperty(value = "设备状态（0：正常；1：报废; 2:保养；3：维修；4：领用；5：故障）")
    private Integer status;

    @ApiModelProperty(value = "单位")
    private String unit;

    @ApiModelProperty(value = "入库日期")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone="GMT+8")
    private Date inputTime;

    @ApiModelProperty(value = "生产日期")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone="GMT+8")
    private Date produceTime;

    @ApiModelProperty(value = "使用年限")
    private BigDecimal serviceLife;

    @ApiModelProperty(value = "备注")
    private String remark;
}
