package com.unis.finishedGrainSupervision.modular.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 *
 *成品粮企业信息分页
 * @author TS
 * @date  2024/06/05 15:48
 **/
@Getter
@Setter
public class StorehousePageVO {

    @ApiModelProperty(value = "仓房Id", position = 1)
    private Integer storehouseId;

    @ApiModelProperty(value = "粮库名称", position = 2)
    private String orgName;

    /** 仓房名称 */
    @ApiModelProperty(value = "仓房名称", position = 8)
    private String storehouseName;

    /** 仓房类型*/
    @ApiModelProperty(value = "仓房类型", position = 9)
    private Integer storehouseType;

    /** 仓房类型名称*/
    @ApiModelProperty(value = "仓房类型名称", position = 9)
    private String storehouseTypeName;

    /** 核定仓容 */
    @ApiModelProperty(value = "核定仓容", position = 17)
    private BigDecimal designCapacity;
}
