package com.unis.finishedGrainSupervision.modular.entity.vo;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;
import java.util.Map;

/**
 *
 *成品粮企业信息分页
 * @author TS
 * @date  2024/06/05 15:48
 **/
@Getter
@Setter
public class UnitPageVO {

    /** ID */
    @ApiModelProperty(value = "ID", position = 1)
    private String id;

    /** 单位名称 */
    @ApiModelProperty(value = "单位名称", position = 9)
    private String dwmc;

    /** 法定代表人 */
    @ApiModelProperty(value = "法定代表人", position = 14)
    private String fddbr;


    /** 统一单位编码，企业性质代码+统一社会信用代码 */
    @ApiModelProperty(value = "统一单位编码，企业性质代码+统一社会信用代码", position = 8)
    private String tydwbm;


    @ApiModelProperty(value = "单位类型，前端显示 为企业性质", position = 10)
    private String dwlxName;
}
