package com.unis.grainReserves.modular.reserveQuantity.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-05-15 12:04
 */
@Getter
@Setter
public class ReserveQuantityKQ {

    @ApiModelProperty(value = "库区名称", position = 1)
    private String lkmc;

    @ApiModelProperty(value = "库区编码", position = 14)
    @NotBlank(message = "库区编码不能为空")
    private String unitId;

    @ApiModelProperty(value = "仓号ID", position = 2)
    private String ch;

    @ApiModelProperty(value = "仓房名称", position = 3)
    private String storehouseName;

    @ApiModelProperty(value = "货位ID", position = 4)
    private String hwh;

    @ApiModelProperty(value = "货位名称", position = 5)
    private String warehouseName;

    @ApiModelProperty(value = "品种编码", position = 7)
    private String pz;

    @ApiModelProperty(value = "品种名称", position = 8)
    private String pzName;

    @ApiModelProperty(value = "性质名称", position = 9)
    private String hwxzName;

    @ApiModelProperty(value = "性质编码", position = 10)
    private String hwxz;

    @ApiModelProperty(value = "等级名称", position = 11)
    private String djName;

    @ApiModelProperty(value = "等级编码", position = 12)
    private String dj;

    @ApiModelProperty(value = "数量", position = 13)
    private String kcslSum;
}
