package com.unis.lawEnforcementSupervision.modular.lesCase.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-06-25 9:09
 */
@Getter
@Setter
public class LesCaseCount {

    @ApiModelProperty(value = "总案件数", position = 1)
    private Integer totalCount;

    @ApiModelProperty(value = "今日新增案件", position = 2)
    private Integer todayCount;

    @ApiModelProperty(value = "已完成", position = 3)
    private Integer completeCount;

    @ApiModelProperty(value = "查处中", position = 4)
    private Integer carryOnCount;

    @ApiModelProperty(value = "已完成月统计", position = 5)
    private List<OverCurrentYearMonth> overList_2;

    @ApiModelProperty(value = "查处中月统计", position = 6)
    private List<OverCurrentYearMonth> overList_1;
}
