package com.unis.mobileInfo.modular.qcqualityinspection.vo;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author hjc
 * @date 2024/6/27 17:59
 */
@Data
public class ReserveQualityStoreHousePageVO {

    /** 主键ID */
    @ApiModelProperty(value = "主键ID", position = 1)
    private Integer id;

    /** 库区名称 */
    @ApiModelProperty(value = "库区名称", position = 2)
    private String orgName;

    /**
     * 仓房名称
     */
    @ApiModelProperty(value = "仓房名称", position = 3)
    private String basicStorehouseName;


    /** 货位名称 */
    @ApiModelProperty(value = "货位名称", position = 4)
    private String warehouseName;

    /**
     * 品种名称
     */
    @ApiModelProperty(value = "品种名称", position = 5)
    private String grainVarietyName;

    /**
     * 年份
     */
    @ApiModelProperty(value = "年份", position = 6)
    private Integer receiveYear;

    /**
     * 等级
     */
    @ApiModelProperty(value = "等级", position = 7)
    private String ypdj;

    /**
     * 样品数量
     */
    @ApiModelProperty(value = "样品数量", position = 8)
    private BigDecimal ypsl;

}
