package com.unis.policy.info.modular.auditRequest.vo;

import com.baomidou.mybatisplus.annotation.TableId;
import com.unis.policy.info.modular.sqrEnterprise.entity.SqrEnterprise;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author hujiangchun
 * @version 1.0
 * @Title
 * @ProjectName
 * @Description
 * @date 2024/4/28 16:48
 */
@Data
public class SqrEnterpriseVO extends SqrEnterprise {

    /** 单位名称 */
    @ApiModelProperty(value = "单位名称", position = 9)
    private String dwmc;

    /** 单位代码，18位统一社会信用代码 */
    @ApiModelProperty(value = "单位代码，18位统一社会信用代码", position = 7)
    private String dwdm;

    /** 注册地址 */
    @ApiModelProperty(value = "注册地址", position = 19)
    private String zcdz;

    /** 法定代表人 */
    @ApiModelProperty(value = "法定代表人", position = 14)
    private String fddbr;

    /** 单位类型，引用LS/T 1701-2004的表A.1 */
    @ApiModelProperty(value = "单位类型，引用LS/T 1701-2004的表A.1", position = 10)
    private String dwlx;

    /** 仓房数 */
    @ApiModelProperty(value = "仓房数", position = 28)
    private Integer cfs;

    /** 油罐数 */
    @ApiModelProperty(value = "油罐数", position = 29)
    private Integer ygs;


    private String dictLabel;


}
