package com.unis.policy.info.modular.mlpDraftAudit.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author hujiangchun
 * @version 1.0
 * @Title
 * @ProjectName
 * @Description
 * @date 2024/4/25 17:08
 */
@Data
public class PlanningFinishPageParam {


    /** 当前页 */
    @ApiModelProperty(value = "当前页码")
    private Integer current;

    /** 每页条数 */
    @ApiModelProperty(value = "每页条数")
    private Integer size;

    /** 排序字段 */
    @ApiModelProperty(value = "排序字段，字段驼峰名称，如：userName")
    private String sortField;

    /** 排序方式 */
    @ApiModelProperty(value = "排序方式，升序：ASCEND；降序：DESCEND")
    private String sortOrder;

    /** 关键词 */
    @ApiModelProperty(value = "关键词")
    private String searchKey;

    /** 规划名称 */
    @ApiModelProperty(value = "规划名称")
    private String planName;
}
