package com.unis.policy.info.modular.mlpDraftAudit.vo;

import com.unis.policy.info.modular.mlpDraftAuditExpert.param.MlpDraftAuditExpertAddParam;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author hujiangchun
 * @version 1.0
 * @Title
 * @ProjectName
 * @Description
 * @date 2024/4/24 22:23
 */
@Data
public class MlpDraftAuditVO {

    /**
     * 评审规划；biz_mlp_draft_modify的id；
     */
    @ApiModelProperty(value = "评审规划；biz_mlp_draft_modify的id；", position = 7)
    private String draftModifyId;

    private String draftAuditId;

    /**
     * 规划名称
     */
    @ApiModelProperty(value = "规划名称", position = 8)
    private String planName;

    /**
     * 评审日期
     */
    @ApiModelProperty(value = "评审日期", position = 9)
    private Date auditDate;

    /** 规划正文 */
    @ApiModelProperty(value = "规划正文", position = 10)
    private String planContent;

    /**
     * 发布时间
     */
    @ApiModelProperty(value = "发布时间", position = 10)
    private Date publishTime;

    /**
     * 状态 0：待发布；1：已发布；
     */
    @ApiModelProperty(value = "状态 0：待发布；1：已发布；", position = 11)
    private Integer status;

    /**
     * 专家列表
     */
    @ApiModelProperty(value = "专家列表", position = 12)
    private List<MlpDraftAuditExpertAddParam> mlpDraftAuditExpert;


}
