package com.unis.policy.info.modular.mlpDraftAudit.vo;

import com.baomidou.mybatisplus.annotation.TableId;
import com.unis.policy.info.modular.mlpDraftAudit.entity.MlpDraftAudit;
import com.unis.policy.info.modular.mlpDraftModify.entity.MlpDraftModify;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author hujiangchun
 * @version 1.0
 * @Title
 * @ProjectName
 * @Description
 * @date 2024/4/25 15:27
 */
@Data
public class PlanningFinishVO {



    /** 评审主键ID */
    @ApiModelProperty(value = "主键ID", position = 1)
    private String id;

    /**
     * 规划名称id
     */
    @ApiModelProperty(value = "规划名称id", position = 10)
    private String draftModifyId;

    /**
     * 规划正文
     */
    @ApiModelProperty(value = "规划正文", position = 10)
    private String planContent;

    /**
     * 附件链接或名称
     */
    @ApiModelProperty(value = "附件链接或名称", position = 11)
    private String attachment;

    /**
     * 规划名称
     */
    @ApiModelProperty(value = "规划名称", position = 8)
    private String planName;

//    /**
//     * 评审id
//     */
//    @ApiModelProperty(value = "评审id", position = 10)
//    private String draftAuditId;

    public PlanningFinishVO(MlpDraftAudit mlpDraftAudit, MlpDraftModify mlpDraftModify){
        this.id=mlpDraftAudit.getId();
        this.draftModifyId=mlpDraftAudit.getDraftModifyId();
        this.planContent=mlpDraftModify.getPlanContent();
        this.attachment=mlpDraftModify.getAttachment();
        this.planName=mlpDraftModify.getPlanName();
//        this.draftModifyId=

    }

}
