package com.unis.projectManagement.modular.analysisInfo.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-05-31 17:26
 */
@Getter
@Setter
public class AnalysisCountParam {

    @ApiModelProperty(value = "财政预算内资金项目", position = 1)
    private Integer planFundIn;

    @ApiModelProperty(value = "专项资金项目", position = 2)
    private Integer specialFund;

    @ApiModelProperty(value = "财政预算外资金项目", position = 3)
    private Integer planFundOut;

    @ApiModelProperty(value = "中央财政资金", position = 4)
    private Integer centralFund;

    @ApiModelProperty(value = "省财政资金", position = 5)
    private Integer provincialFund;

    @ApiModelProperty(value = "市财政资金", position = 6)
    private Integer cityFund;

    @ApiModelProperty(value = "银行贷款", position = 7)
    private Integer bankLoans;

}
