package com.unis.projectManagement.modular.analysisInfo.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unis.projectManagement.modular.analysisInfo.entity.AnalysisCountParam;
import com.unis.projectManagement.modular.analysisInfo.entity.AnalysisPageListParam;
import org.apache.ibatis.annotations.Param;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-06-01 11:58
 */
public interface AnalysisMapper extends BaseMapper<AnalysisPageListParam> {
    AnalysisCountParam getCount();

    Page<AnalysisPageListParam> getPage(Page<AnalysisPageListParam> objectPage, @Param("ew") QueryWrapper<AnalysisPageListParam> wrapper);
}
