package com.unis.purchaseAndSalesSupervision.modular.storageTaskSupervise.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-06-15 15:26
 */
@Getter
@Setter
public class StorageTaskSupervise {
    @ApiModelProperty(value = "数据id", position = 1)
    private String id;

    @ApiModelProperty(value = "库区id", position = 2)
    private String orgId;

    @ApiModelProperty(value = "库区名称", position = 3)
    private String orgName;

    @ApiModelProperty(value = "仓房号", position = 4)
    private String cfbh;

    @ApiModelProperty(value = "仓房名称", position = 5)
    private String cfmc;

    @ApiModelProperty(value = "作业类型", position = 6)
    private String zylx;

    @ApiModelProperty(value = "作业开始时间", position = 7)
    private Date startTime;

    @ApiModelProperty(value = "作业结束时间", position = 8)
    private Date endTime;

    @ApiModelProperty(value = "作业日期", position = 9)
    private Date workTime;
}
