package com.unis.purchaseAndSalesSupervision.modular.yjbj.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * 架空期主键查询参数
 *
 * @author fxw
 * @date  2024/06/15 15:42
 **/
@Getter
@Setter
public class StorageJkqWarningIdParam {

    @ApiModelProperty(value = "架空期数据唯一标识符", required = true)
    @NotBlank(message = "id不能为空")
    private String id;
}
