package com.unis.purchaseAndSalesSupervision.modular.yjbj.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 架空期分页查询参数
 *
 * @author fxw
 * @date  2024/06/15 15:42
 **/
@Getter
@Setter
public class StorageJkqWarningPageParam {

    @ApiModelProperty(value = "当前页码", position = 1)
    private Integer current;

    /** 每页条数 */
    @ApiModelProperty(value = "每页条数", position = 2)
    private Integer size;

    @ApiModelProperty(value = "库ID", position = 3)
    private Integer orgId;

    @ApiModelProperty(value = "轮换年度", position = 4)
    private String lhnd;

    @ApiModelProperty(value = "架空期状态(0:正常,1:延期)", position = 5)
    private String jkqzt;
}
