/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.reserveLayout.modular.dataKcglKcswDefault.entity.VO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 出入库检验信息明细VO
 *
 * @author TS
 * @date  2024/06/13 15:48
 **/
@Getter
@Setter
public class CrkJyxxMxDataVO {

    @ApiModelProperty(value = "主键ID", position = 1)
    private String dataId;

    @ApiModelProperty(value = "化验指标项", position = 2)
    private String zbxmc;

    @ApiModelProperty(value = "指标项名称", position = 3)
    private String zbxmcName;

    @ApiModelProperty(value = "检验值", position = 4)
    private String jyz;

    @ApiModelProperty(value = "检验扣量", position = 5)
    private String jykl;

    @ApiModelProperty(value = "检验扣价", position = 6)
    private String jykj;

    @ApiModelProperty(value = "增扣价(元)", position = 7)
    private Double jykjje;

    @ApiModelProperty(value = "增扣量(公斤)", position = 8)
    private Double zklsl;

    @ApiModelProperty(value = "字典编码", position = 9)
    private String enumCode;

    @ApiModelProperty(value = "备注", position = 10)
    private String bz;


}
