package com.unis.reserveLayout.modular.keepWork.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unis.common.constant.DBConstant;
import com.unis.reserveLayout.modular.keepWork.entity.TVentilationOperation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 通风作业管理 Mapper 接口
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
@DS(DBConstant.DS_DEPOT)
@Mapper
public interface TVentilationOperationMapper extends BaseMapper<TVentilationOperation> {
    Page<TVentilationOperation> selectPageList(Page<Object> objectPage, @Param("ew") QueryWrapper<TVentilationOperation> wrapper);

    TVentilationOperation getJoinById(@Param("id") String id);
}
