package com.unis.reserveLayout.modular.qualityInspectionOrg.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unis.reserveLayout.modular.qualityInspectionOrg.entity.BusinessQcQualityInspection;
import com.unis.reserveLayout.modular.qualityInspectionOrg.param.QualityInspectionReportPageParam;
import com.unis.reserveLayout.modular.qualityInspectionOrg.vo.BusinessQcQualityInspectionPageVO;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-06-11 17:23
 */
public interface QualityInspectionMapper extends BaseMapper<BusinessQcQualityInspection> {
    Page<BusinessQcQualityInspection> pageList(Page<Object> objectPage, @Param("storehouseName") String storehouseName);

    String selectOnly(Map<String, Object> map);

    Page<BusinessQcQualityInspection> reportPageList(Page<Object> objectPage, @Param("pageParam") QualityInspectionReportPageParam pageParam);


    /**
     * 获取粮食质量分页
     *
     * @author hjc
     * @date  2024/06/07 10:46
     */
    Page<BusinessQcQualityInspectionPageVO> foodQualityPage(Page<Object> objectPage, @Param("orgName")  String orgName);
}
