package com.unis.reserveLayout.modular.qualityInspectionOrg.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.reserveLayout.modular.qualityInspectionOrg.entity.BusinessQcQualityInspection;
import com.unis.reserveLayout.modular.qualityInspectionOrg.param.FoodQualityInspectionPageParam;
import com.unis.reserveLayout.modular.qualityInspectionOrg.param.QualityInspectionPageParam;
import com.unis.reserveLayout.modular.qualityInspectionOrg.param.QualityInspectionReportPageParam;
import com.unis.reserveLayout.modular.qualityInspectionOrg.vo.BusinessQcQualityInspectionPageVO;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-06-11 17:20
 */
public interface QualityInspectionService extends IService<BusinessQcQualityInspection> {
    void add(BusinessQcQualityInspection param);

    void edit(BusinessQcQualityInspection param);

    BusinessQcQualityInspection detail(Integer id);

    void delete(Integer id);

    Page<BusinessQcQualityInspection> pageList(QualityInspectionPageParam pageParam);

    Page<BusinessQcQualityInspection> reportPageList(QualityInspectionReportPageParam pageParam);

    /**
     * 获取粮食质量分页
     *
     * @author hjc
     * @date  2024/06/07 10:46
     */
    Page<BusinessQcQualityInspectionPageVO> foodQualityPage(FoodQualityInspectionPageParam pageParam);
}
