package com.unis.safeStorage.modular.ssFireWarn.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author hjc
 * @version 1.0
 * @Description
 * @date 2024/6/4 15:49
 */
@Data
public class DisposeParam {

    /** 火灾预警记录唯一标识符 */
    @ApiModelProperty(value = "火灾预警记录唯一标识符", required = true)
    @NotBlank(message = "id不能为空")
    private String id;

    /** 状态 0：未处理；1：已处理； */
    @ApiModelProperty(value = "状态 0：未处理；1：已处理；", required = true)
    @NotBlank(message = "状态不能为空")
    private Integer status;
}
