package com.unis.safeStorage.modular.ssSafeGrainStorageInspectionResult.vo;

import com.unis.safeStorage.modular.ssSafeGrainStorageInspectionResult.entity.SsSafeGrainStorageInspectionResult;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author hjc
 * @version 1.0
 * @Description
 * @date 2024/6/3 11:01
 */
@Data
public class SsSafeGrainStorageInspectionResultVO extends SsSafeGrainStorageInspectionResult {


    /** 外库depot_qh.basic_storehouse的id；仓房id */
    @ApiModelProperty(value = "仓房名称", position = 7)
    private String storehouseName;

    /** 外库depot_qh.basic_warehouse的id；货位id; */
    @ApiModelProperty(value = "货位名称;", position = 8)
    private String warehouseName;

    /** 粮食种类 */
    @ApiModelProperty(value = "粮食种类;", position = 9)
    private String grainVarietyName;

    /** 库点名称 */
    @ApiModelProperty(value = "库点名称;", position = 10)
    private String orgName;

    /** 库点名称 */
    @ApiModelProperty(value = "库点id;", position = 10)
    private Integer orgId;

    /** 粮食等级 */
    @ApiModelProperty(value = "粮食等级;", position = 11)
    private String grainGradeName;
}
