/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.statisticalReport.info.modular.conReportinfo.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 出入库记录
 *
 * @author TS
 * @date  2024/05/31 15:48
 **/
@Getter
@Setter
public class CrkData {

    @ApiModelProperty(value = "库区名称", position = 1)
    private String orgName;

    @ApiModelProperty(value = "企业名称", position = 2)
    private String unitName;

    @ApiModelProperty(value = "单据号", position = 3)
    private String bizNo;

    @ApiModelProperty(value = "车辆编号", position = 4)
    private String cph;

    @ApiModelProperty(value = "业务类型 ", position = 5)
    private String ywlx;

    @ApiModelProperty(value = "承运人", position = 6)
    private String cyr;

    @ApiModelProperty(value = "粮油品种", position = 7)
    private String lspzName;

    @ApiModelProperty(value = "粮油性质", position = 8)
    private String lsxzName;

    @ApiModelProperty(value = "业务登记时间", position = 9)
    private Date ywdjsj;

    @ApiModelProperty(value = "登记人", position = 10)
    private String djr;

}
