/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.statisticalReport.info.modular.conReportinfo.entity.vo;

import com.unis.emergencySupport.modular.es.entity.EsDeliveryEnterprise;
import com.unis.emergencySupport.modular.es.entity.EsNetworkEntry;
import com.unis.emergencySupport.modular.es.entity.EsProcessEnterprise;
import com.unis.emergencySupport.modular.esstorageenterprise.entity.BizEsStorageEnterprise;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 应急保障统计报表
 *
 * @author TS
 * @date 2024/06/03 16:02
 **/
@Data
public class EsNetworkEntryReportinfo {

    @ApiModelProperty(value = "应急保障-应急配送企业管理")
    private EsDeliveryEnterprise esDeliveryEnterprise;

    @ApiModelProperty(value = "应急保障-应急供应网点管理")
    private EsNetworkEntry esNetworkEntry;

    @ApiModelProperty(value = "应急保障-应急加工企业管理")
    private EsProcessEnterprise esProcessEnterprise;

    @ApiModelProperty(value = "应急保障-应急仓储企业管理")
    private BizEsStorageEnterprise esStorageEnterprise;

}
