package com.unis.statisticalReport.info.modular.grainTempCheck.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-06-04 15:23
 */
@Getter
@Setter
public class GrainTempPageParam {

    /** 当前页 */
    @ApiModelProperty(value = "当前页码")
    private Integer current;

    /** 每页条数 */
    @ApiModelProperty(value = "每页条数")
    private Integer size;

    @ApiModelProperty(value = "仓房名称")
    private String storehouseName;
}
