/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.statisticalReport.info.modular.ssSafeProductInspectionResult.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unis.statisticalReport.info.modular.ssSafeProductInspectionResult.entity.SsSafeProductInspectionResult;
import com.unis.statisticalReport.info.modular.ssSafeProductInspectionResult.vo.SsSafeProductInspectionResultVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 日常安全检查-安全生产检查-结果表Mapper接口
 *
 * @author hjc
 * @date  2024/06/01 14:49
 **/
@Mapper
public interface SsSafeProductInspectionResultMapper extends BaseMapper<SsSafeProductInspectionResult> {
    Page<SsSafeProductInspectionResultVO> selectMyPage(@Param("page") Page<SsSafeProductInspectionResultVO> page,
                                                       @Param("warehouseName") String warehouseName,
                                                       @Param("storehouseName") String storehouseName);
}
