package com.unis.visualization.modular.grainOilPurchaseSales.entity.VO;

import com.unis.visualization.modular.grainSituationDetection.entity.VO.LqDetail;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

/**
 *库区库存详情
 *
 * @author TS
 * @date  2024/06/19 15:48
 **/
@Getter
@Setter
public class DeoptRotationPalnDetail {



    @ApiModelProperty(value = "企业名称", position = 1)
    private String unitName;

    @ApiModelProperty(value = "库区名称", position = 1-1)
    private String orgName;

    @ApiModelProperty(value = "库区Id", position = 2)
    private String orgId;

    @ApiModelProperty(value = "市州名称", position = 3)
    private String cityName;

    @ApiModelProperty(value = "详细地址", position = 4)
    private String address;

    @ApiModelProperty(value = "轮换计划总重量（数字，单位吨）", position = 2)
    private BigDecimal planQuantity;

    @ApiModelProperty(value = "轮换计划出库重量（数字，单位吨）", position =3)
    private BigDecimal outPlanQuantity ;

    @ApiModelProperty(value = "轮换计划入库重量(数字，单位吨）", position = 4)
    private BigDecimal inPlanQuantity ;

    @ApiModelProperty(value = "出库总重量(数字，单位吨）", position = 5)
    private BigDecimal ckslSum;

    @ApiModelProperty(value = "入库总重量(数字，单位吨）", position = 6)
    private BigDecimal rkslSum;

    @ApiModelProperty(value = "完成比(数字，单位%）", position = 7)
    private BigDecimal completeRate;

}
