package com.unis.visualization.modular.grainOilPurchaseSales.entity.VO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 *购销计划数量统计信息
 *
 * @author TS
 * @date  2024/06/22 10:48
 **/
@Getter
@Setter
public class GopsPlanSum {



    @ApiModelProperty(value = "库区名称", position = 1)
    private String orgName;

    @ApiModelProperty(value = "计划编号", position = 2)
    private String planOrderNo;

    @ApiModelProperty(value = "计划名称", position =3)
    private String planName ;

    @ApiModelProperty(value = "计划类型 1：销售计划；2：收购计划", position =4)
    private Integer planType ;

    @ApiModelProperty(value = "计划数量(数字，单位吨）", position = 5)
    private BigDecimal planQuantity ;



}
