package com.unis.visualization.modular.grainOilPurchaseSales.entity.VO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 *轮换计划统计地图信息
 *
 * @author TS
 * @date  2024/06/12 15:48
 **/
@Getter
@Setter
public class RotationPlanMapChart {



    @ApiModelProperty(value = "库区名称", position = 1)
    private String orgName;

    @ApiModelProperty(value = "库区Id", position = 2)
    private String orgId;

    @ApiModelProperty(value = "经度", position = 2-1)
    private String longitude;

    @ApiModelProperty(value = "纬度", position = 2-2)
    private String latitude;

    @ApiModelProperty(value = "轮换计划总重量（数字，单位吨）", position = 2)
    private BigDecimal planQuantity;

    @ApiModelProperty(value = "轮换计划出库重量（数字，单位吨）", position =3)
    private BigDecimal outPlanQuantity ;

    @ApiModelProperty(value = "轮换计划入库重量(数字，单位吨）", position = 4)
    private BigDecimal inPlanQuantity ;

    @ApiModelProperty(value = "出库总重量(数字，单位吨）", position = 5)
    private BigDecimal ckslSum;

    @ApiModelProperty(value = "入库总重量(数字，单位吨）", position = 6)
    private BigDecimal rkslSum;

    @ApiModelProperty(value = "完成比(数字，单位%）", position = 7)
    private BigDecimal completeRate;




}
