package com.unis.visualization.modular.grainOilPurchaseSales.entity.VO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 *轮换计划品种统计信息
 *
 * @author TS
 * @date  2024/06/12 15:48
 **/
@Getter
@Setter
public class RotationPlanVarietyChart {



    @ApiModelProperty(value = "品种id", position = 1)
    private String grainVarietyId;

    @ApiModelProperty(value = "品种名称", position = 2)
    private String grainVarietyName;

    @ApiModelProperty(value = "轮换计划出库重量（数字，单位吨）", position =3)
    private BigDecimal outPlanQuantity ;

    @ApiModelProperty(value = "轮换计划入库重量(数字，单位吨）", position = 4)
    private BigDecimal inPlanQuantity ;



}
