package com.unis.visualization.modular.grainOilReserve.entity.VO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 *各库区库存统计图表信息
 *
 * @author TS
 * @date  2024/06/19 15:48
 **/
@Getter
@Setter
public class DeportStockChart {



    @ApiModelProperty(value = "库区名称", position = 1)
    private String orgName;

    @ApiModelProperty(value = "库区Id", position = 2)
    private String orgId;

    @ApiModelProperty(value = "经度", position = 2-1)
    private String longitude;

    @ApiModelProperty(value = "纬度", position = 2-2)
    private String latitude;

    @ApiModelProperty(value = "等级名称", position = 5)
    private String djName;

    @ApiModelProperty(value = "作业状态  0:无，3:入库, 1:出库", position = 5)
    private String crkStatus = "0";

    @ApiModelProperty(value = "库存数量(数字，单位万吨）", position = 6)
    private Double kcsl;

    @ApiModelProperty(value = "性质", position = 7)
    private String hwxz ;

    @ApiModelProperty(value = "性质名称", position = 8)
    private String hwxzName ;

}
