package com.unis.visualization.modular.grainOilReserve.entity.VO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 *轮换计划统计图表信息
 *
 * @author TS
 * @date  2024/06/12 15:48
 **/
@Getter
@Setter
public class RotationPlanChart {



    @ApiModelProperty(value = "轮换计划数量", position = 1)
    private Integer countReport;

    @ApiModelProperty(value = "轮换计划总重量（数字，单位万吨）", position = 2)
    private BigDecimal planQuantity;

    @ApiModelProperty(value = "轮换计划出库重量（数字，单位吨）", position =3)
    private BigDecimal outPlanQuantity ;

    @ApiModelProperty(value = "轮换计划入库重量(数字，单位吨）", position = 4)
    private BigDecimal inPlanQuantity ;

    @ApiModelProperty(value = "出库总重量(数字，单位kg）", position = 5)
    private BigDecimal ckslSum;

    @ApiModelProperty(value = "入库总重量(数字，单位kg）", position = 6)
    private BigDecimal rkslSum;

    @ApiModelProperty(value = "出库百分比(数字，单位%）", position = 7)
    private BigDecimal ckRate;

    @ApiModelProperty(value = "入库百分比(数字，单位%）", position = 7)
    private BigDecimal rkRate;



}
