package com.unis.visualization.modular.grainSituationDetection.entity.VO;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 *库存详情
 *
 * @author TS
 * @date  2024/06/19 15:48
 **/
@Getter
@Setter
public class LqDetail {



    @ApiModelProperty(value = "仓房名称", position = 1)
    private String storehouseName;

    @ApiModelProperty(value = "检测时间", position = 2)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private String gatherTime;

    @ApiModelProperty(value = "最高粮温", position =3)
    private BigDecimal tempMax;

    @ApiModelProperty(value = "最低粮温", position = 4)
    private BigDecimal tempMin;

    @ApiModelProperty(value = "平均粮温", position = 5)
    private BigDecimal tempAvg;

    @ApiModelProperty(value = "库存数量(数字，单位万吨）", position = 6)
    private Double kcsl;
}
