package com.unis.service;

import com.alibaba.fastjson.JSON;
import com.unis.Application;
import com.unis.basic.info.modular.orgInfo.entity.OrgInfo;
import com.unis.basic.info.modular.orgInfo.service.OrgInfoService;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import javax.annotation.Resource;
import java.util.List;

@RunWith(SpringRunner.class)
@SpringBootTest(classes = Application.class)
@Slf4j
public class OrgInfoServiceTest {

    @Resource
    private OrgInfoService orgInfoService;

    /**
     *
     * @methodName: find
     * @return: void
     * @author: ybw
     * @date: 2024/4/28
     **/
    @Test
    public void find(){
        List<OrgInfo> orgInfoList=orgInfoService.list();
        orgInfoList.forEach(orgInfo -> {
           log.info("{}", JSON.toJSONString(orgInfo));
        });
    }
  
}