package htmlUnit;

import org.htmlunit.BrowserVersion;
import org.htmlunit.WebClient;
import org.htmlunit.html.HtmlBody;
import org.htmlunit.html.HtmlPage;
import org.junit.Test;

import java.util.List;

/**
 * htmlUnit测试
 * @Date: 2024-07-19 09:51
 * @Author: TangSong
 * @Description:
 */
public class HtmlUnitTest {



    @Test
    public  void testHtml() {
        WebClient webClient=null;
        try {
            webClient= new WebClient(BrowserVersion.CHROME);    //定义一个WebClient
            final HtmlPage page=webClient.getPage("http://fgw.qinghai.gov.cn//");    //从指定URL获取HtmlPage

            List<HtmlBody> divList=page.getByXPath("//body");
            for (HtmlBody htmlBody : divList) {
                System.out.println("***********************************************8");
                System.out.println("输出："+htmlBody.asXml());
            }

        } catch (Exception e) {
            // TODO: handle exception
            e.printStackTrace();
        }finally {
            webClient.close();    //关闭客户端
        }
    }

}
